<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

$columns_grid = diopter_global_var('blog-grid-columns') ? diopter_global_var('blog-grid-columns') : 'two';
$css_classes = array(
    'gallery-items blog-masonry-holder',
    $columns_grid.'-columns'
);
if($columns_grid !== 'one'){
	$css_classes[] = 'blog-grid-multi-cols';
}
$css_class = implode(" ", $css_classes);
?>
<div class="fl-wrap posts-masonry-holder">
<?php if(have_posts()) : ?>
	<div class="<?php echo esc_attr($css_class );?>">
	

		<div class="grid-sizer"></div>

	    <?php while(have_posts()) : the_post(); ?>

	        <?php 
                    if(diopter_global_var('blog_list_show_format')) {
                        get_template_part( 'content', ( post_type_supports( get_post_type(), 'post-formats' ) ? get_post_format() : get_post_type() ) );
                    }else{
                        get_template_part('content' );
                    }   
                ?>

	    <?php endwhile; ?>

	

	</div>

	<?php

	diopter_pagination( );

	?>

<?php else: ?>

    <?php get_template_part('content','none' ); ?>

<?php endif; ?>

</div>