<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
    /**
     * ReduxFramework Sample Config File
     * For full documentation, please visit: http://docs.reduxframework.com/
     */

    if ( ! class_exists( 'Redux' ) ) {
        $diopter_default_options = '{"favicon":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/favicon.ico"},"logo_first":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/logo.png"},"logo_size_width":"143","logo_size_height":"40","logo_text":"","slogan":"","show_loader":true,"show_submenu_mobile":false,"disable_outer_border":false,"video_header_mute":true,"disable_parallax_effect":false,"enable_ajax_transition":false,"ajax_load_box":"#main","ajax_active_menus":["folio-menu single-portfolio"],"show_topbar":true,"topbar_socials":"<ul >\n    <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-facebook\"><\/i><\/a><\/li>\n    <li><a href=\"#\" target=\"_blank\"><i class=\"fa fa-twitter\"><\/i><\/a><\/li>\n    <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-instagram\"><\/i><\/a><\/li>\n    <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-pinterest\"><\/i><\/a><\/li>\n    <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-tumblr\"><\/i><\/a><\/li>\n<\/ul>","show_sidebar_menu":false,"left_menu_position":"right","fixed_sidebar_width":"350","right_sidebar_bg":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/bg\/23.jpg"},"right_sidebar_logo":"<div class=\"sb-logo\">\n    <img src=\"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/logo-l.png\" alt=\"\">\n<\/div>","right_sidebar_socials":"<div class=\"sb-social\">\n    <ul>\n        <li><a href=\"#\" target=\"_blank\"><i class=\"fa fa-facebook\"><\/i><\/a><\/li>\n        <li><a href=\"#\" target=\"_blank\"><i class=\"fa fa-twitter\"><\/i><\/a><\/li>\n        <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-instagram\"><\/i><\/a><\/li>\n        <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-pinterest\"><\/i><\/a><\/li>\n        <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-tumblr\"><\/i><\/a><\/li>\n    <\/ul>\n<\/div>","to_top_icon":"<i class=\"fa fa-angle-up\"><\/i>","goto_contact_link":"","goto_contact_icon":"<i class=\"fa fa-envelope-o\"><\/i>","footer_content":"<div class=\"footer-logo\"><a href=\"'.addcslashes( home_url('/' ) ,'/').'\" class=\"ajax\"><img src=\"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/heroimg.png\" alt=\"\"><\/a><\/div>\n<div class=\"clearfix\"><\/div>\n<div class=\"dec-separator\"><img src=\"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/sep.png\" alt=\"\"> <\/div>\n<ul class=\"footer-social\">\n    <li><a href=\"#\" target=\"_blank\">Facebook<\/a><\/li>\n    <li><a href=\"#\" target=\"_blank\">Twitter<\/a><\/li>\n    <li><a href=\"#\" target=\"_blank\" >Instagram<\/a><\/li>\n    <li><a href=\"#\" target=\"_blank\" >Pinterest<\/a><\/li>\n    <li><a href=\"#\" target=\"_blank\" >Tumblr<\/a><\/li>\n<\/ul>\n<div class=\"clearfix\"><\/div>\n<div class=\"copyright\">&#169; Diopter 2016 . All rights reserved. <\/div>","enable_custom_sizes":false,"fullscreen_thumb":{"width":"9999","height":"9999","hard_crop":1},"landing_slider_thumb":{"width":"9999","height":"9999","hard_crop":1},"horizontal_slider_thumb":{"width":"9999","height":"9999","hard_crop":1},"folio_grid_thumbnail_size":{"width":"9999","height":"9999","hard_crop":1},"galmasonry_thumbnail_size_one":{"width":"9999","height":"9999","hard_crop":1},"galmasonry_thumbnail_size_two":{"width":"9999","height":"9999","hard_crop":1},"galmasonry_thumbnail_size_three":{"width":"9999","height":"9999","hard_crop":1},"galgrid_thumbnail_size":{"width":"9999","height":"9999","hard_crop":1},"team_member_thumb":{"width":"9999","height":"9999","hard_crop":1},"testimonial_avatar_thumb":{"width":"9999","height":"9999","hard_crop":1},"blog_image_thumb":{"width":"9999","height":"9999","hard_crop":1},"blog_image_large_thumb":{"width":"9999","height":"9999","hard_crop":1},"blog_related_thumb":{"width":"9999","height":"9999","hard_crop":1},"color-preset":"default","override-preset":false,"main-theme-color":"#BB9167","outer-border-color":"#f9f9f9","main-bg-color":"#f4f4f4","body-text-color":"#000000","hyperlink-text-color":{"regular":"#000000","hover":"#000000","active":"#000000"},"paragraph-color":"#000000","header-color":{"color":"#ffffff","alpha":1},"submenu-bg-color":{"color":"#000000","alpha":0.71},"main-nav-menu-color":{"regular":"#000000","hover":"#BB9167","active":"#BB9167"},"active-menu-bg-color":"#f9f9f9","submenu-color":{"regular":"#ffffff","hover":"#BB9167","active":"#BB9167"},"fixed-sidebar-bg-color":"#000000","fixed-sidebar-color":{"regular":"#ffffff","hover":"#ffffff","active":"#ffffff"},"footer-bg-color":{"color":"#292929","alpha":1},"footer-social-color":{"regular":"#ffffff","hover":"#BB9167","active":"#BB9167"},"footer-copy-text-color":"#ffffff","share_names":"facebook,pinterest,googleplus,twitter,linkedin","show_folio_header":true,"folio_home_text":"Our Portfolio","folio_home_text_intro":"<h4>Integer cursus bibendum augue ac cursus.<\/h4>\n<div class=\"dec-separator\"><img src=\"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/sep.png\" alt=\"\"><\/div>","folio_header_video":"","folio_header_image":"","folio_layout":"ver","folio_style":"style3","folio_grid_content_width":"wide-container","folio_column":"three","folio_posts_per_page":5,"folio_archive_orderby":"date","folio_archive_order":"DESC","folio_pad":"small","folio_show_excerpt":false,"folio_show_cat_grid":true,"folio_show_readmore":true,"folio_enable_gallery":true,"folio_after_grid_content":"<section class=\"no-padding\">\n    <div class=\"fl-wrap order-wrap gray-bg\">\n        <div class=\"container big-container\">\n            <div class=\"row\">\n                <div class=\"col-md-9\">\n                    <h3>Ready to order <span>your<\/span> project ?<\/h3>\n                    <p>Nullam nec augue dui. Curabitur ullamcorper interdum mi<\/p>\n                <\/div>\n                <div class=\"col-md-3\">\n                    <a href=\"'.addcslashes( home_url('/' ) ,'/').'contact\/#contactform-anchor\" class=\" btn anim-button   flat-btn   transition  fl-l\" target=\"_blank\"><span>Get in Touch<\/span><i class=\"fa fa-eye\"><\/i><\/a>\n                <\/div>\n            <\/div>\n        <\/div>\n    <\/div>\n<\/section>","show_folio_footer":true,"folio_show_filter":true,"folio_grid_filter_width":"big-container","folio_filter_orderby":"name","folio_filter_order":"ASC","folio_show_counter":true,"folio_show_loadmore":true,"folio_use_pagi_infinite":true,"folio_loadmore_items":3,"folio_show_pagination":false,"show_blog_header":true,"blog_home_text":"Our Journal","blog_home_text_intro":"<h4>  Integer cursus bibendum augue ac cursus .<\/h4><div class=\"dec-separator\"><img src=\"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/sep.png\" alt=\"\"><\/div>","blog_header_video":"","blog_header_image":"","blog-grid-width":"blog-wide","blog_layout":"right_sidebar","blog-sidebar-width":"4","blog-grid-style":"masonry","blog-grid-columns":"two","blog_list_show_format":false,"blog_list_share":false,"blog_author":true,"blog_date":true,"blog_cats":true,"blog_tags":true,"blog_comments":true,"blog_show_views":true,"blog_show_featured_posts":false,"blog_featured_count":"4","featured_slider_orderby":"date","featured_slider_order":"DESC","blog-single-width":"blog-wide","blog-single-sidebar-width":"4","blog_single_title":false,"blog_featured_single":true,"blog_date_single":true,"blog_cats_single":true,"blog_tags_single":true,"blog_author_single":true,"blog_show_share":true,"blog_single_related":true,"blog_related_count":"3","blog_single_navigation":true,"blog_single_nav_same_term":false,"blog_list_link":"","password_page_bg":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/bg\/6.jpg"},"password_page_intro":"","password_page_home_link":"'.addcslashes( home_url('/' ) ,'/').'","bg404":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/diopter\/images\/bg\/6.jpg"},"404_intro":"Page you are looking for - not found","back_home_link":"'.addcslashes( home_url('/' ) ,'/').'","custom-css":"","custom-css-medium":"","custom-css-tablet":"","custom-css-mobile":"","gmap_api_key":"","body-font":"","hyperlink-font":"","hyperlink-hover-font":"","paragraph-font":"","header-font":"","diopter-second-font":"","diopter-third-font":"","diopter-navigation-font":"","diopter-navigation-hover-font":"","diopter-navigation-active-font":"","diopter-section-title-font":"","redux_options_object":"","redux_import_export":"","REDUX_last_saved":1478844994,"REDUX_LAST_SAVE":1478844994}';
        $diopter_options = json_decode($diopter_default_options,true);
        return;
    }


    // This is your option name where all the Redux data is stored.
    $opt_name = "diopter_options";

    // This line is only for altering the demo. Can be easily removed.

    /*
     *
     * --> Used within different fields. Simply examples. Search for ACTUAL DECLARATION for field examples
     *
     */

    /**
     * ---> SET ARGUMENTS
     * All the possible arguments for Redux.
     * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
     * */

    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
        // TYPICAL -> Change these values as you need/desire
        'opt_name'             => $opt_name,
        // This is where your data is stored in the database and also becomes your global variable name.
        'display_name'         => $theme->get( 'Name' ),
        // Name that appears at the top of your panel
        'display_version'      => $theme->get( 'Version' ),
        // Version that appears at the top of your panel
        'menu_type'            => 'menu',
        //Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
        'allow_sub_menu'       => true,
        // Show the sections below the admin menu item or not
        'menu_title'           => esc_html__( 'Diopter Options', 'diopter' ),
        'page_title'           => esc_html__( 'Diopter Options', 'diopter' ),
        // You will need to generate a Google API key to use this feature.
        // Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
        'google_api_key'       => '',
        // Set it you want google fonts to update weekly. A google_api_key value is required.
        'google_update_weekly' => false,
        // Must be defined to add google fonts to the typography module
        'async_typography'     => false,
        // Use a asynchronous font on the front end or font string
        //'disable_google_fonts_link' => true,                    // Disable this in case you want to create your own google fonts loader
        'admin_bar'            => true,
        // Show the panel pages on the admin bar
        'admin_bar_icon'       => 'dashicons-portfolio',
        // Choose an icon for the admin bar menu
        'admin_bar_priority'   => 50,
        // Choose an priority for the admin bar menu
        'global_variable'      => '',
        // Set a different name for your global variable other than the opt_name
        'dev_mode'             => false,
        // Show the time the page took to load, etc
        'update_notice'        => false,
        // If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo
        'customizer'           => true,
        // Enable basic customizer support
        //'open_expanded'     => true,                    // Allow you to start the panel in an expanded way initially.
        //'disable_save_warn' => true,                    // Disable the save warning when a user changes a field

        // OPTIONAL -> Give you extra features
        'page_priority'        => null,
        // Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
        'page_parent'          => 'themes.php',
        // For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
        'page_permissions'     => 'manage_options',
        // Permissions needed to access the options panel.
        'menu_icon'            => '',
        // Specify a custom URL to an icon
        'last_tab'             => '',
        // Force your panel to always open to a specific tab (by id)
        'page_icon'            => 'icon-themes',
        // Icon displayed in the admin panel next to your menu_title
        'page_slug'            => '',
        // Page slug used to denote the panel, will be based off page title then menu title then opt_name if not provided
        'save_defaults'        => true,
        // On load save the defaults to DB before user clicks save or not
        'default_show'         => false,
        // If true, shows the default value next to each field that is not the default value.
        'default_mark'         => '',
        // What to print by the field's title if the value shown is default. Suggested: *
        'show_import_export'   => true,
        // Shows the Import/Export panel when not used as a field.

        // CAREFUL -> These options are for advanced use only
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
        'output_tag'           => true,
        // Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head
        // 'footer_credit'     => '',                   // Disable the footer credit of Redux. Please leave if you can help it.

        // FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
        'database'             => '',
        // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
        'use_cdn'              => true,
        // If you prefer not to use the CDN for Select2, Ace Editor, and others, you may download the Redux Vendor Support plugin yourself and run locally or embed it in your code.

        // HINTS
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'red',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
        )
    );


    // Panel Intro text -> before the form
    if ( ! isset( $args['global_variable'] ) || $args['global_variable'] !== false ) {
        if ( ! empty( $args['global_variable'] ) ) {
            $v = $args['global_variable'];
        } else {
            $v = str_replace( '-', '_', $args['opt_name'] );
        }
        $args['intro_text'] = sprintf( wp_kses(__( '<p><strong>Diopter - Creative Responsive Photography / Portfolio WordPress Theme</strong> is perfect if you like a clean and modern design. This theme is ideal for designers, photographers, and those who need an easy, attractive and effective way to share their work with clients.</p>', 'diopter' ),array('p'=>array(),'strong'=>array()) ) , $v );
    } else {
        $args['intro_text'] =  wp_kses(__( '<p><strong>Diopter - Creative Responsive Photography / Portfolio WordPress Theme</strong> is perfect if you like a clean and modern design. This theme is ideal for designers, photographers, and those who need an easy, attractive and effective way to share their work with clients.</p>', 'diopter' ),array('p'=>array(),'strong'=>array()) );
    }

    // Add content after the form.
    $args['footer_text'] = '<p>Thanks all of you who stay with us, your co-operation is our inspiration. <a href="'.esc_url('http://themeforest.net/user/cththemes/portfolio/' ).'" target="_blank">CTHthemes</a></p>';

    Redux::setArgs( $opt_name, $args );

    /*
     * ---> END ARGUMENTS
     */



    /*
     *
     * ---> START SECTIONS
     *
     */

    /*

        As of Redux 3.5+, there is an extensive API. This API can be used in a mix/match mode allowing for


     */
        //////////////// CUSTOM ///////////////

    // -> START General Settings

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('General', 'diopter'),
        'id'         => 'general-settings',
        'subsection' => false,
        //'desc'       => esc_html__( 'For full documentation on this field, visit: ', 'diopter' ) . '<a href="http://docs.reduxframework.com/core/fields/checkbox/" target="_blank">http://docs.reduxframework.com/core/fields/checkbox/</a>',
        'icon'       => 'fa fa-cogs',
        'fields' => array(
            array(
                'id' => 'favicon',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Custom Favicon', 'diopter'),
                'desc' => esc_html__('Upload your Favicon.', 'diopter'),
                'default' => array('url' => get_template_directory_uri().'/images/favicon.ico'),
            ),
            array(
                'id' => 'logo_first',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Your Logo', 'diopter'),

                'desc' => esc_html__('Upload your logo.', 'diopter'),

                'default' => array('url' => get_template_directory_uri().'/images/logo.png'),
            ),
            array(
                'id' => 'logo_size_width',
                'type' => 'text',
                'title' => esc_html__('Logo Size Width', 'diopter'),

                'default' => '143'
            ),
            array(
                'id' => 'logo_size_height',
                'type' => 'text',
                'title' => esc_html__('Logo Size Height', 'diopter'),

                'default' => '40'
            ),
            array(
                'id' => 'logo_text',
                'type' => 'text',
                'title' => esc_html__('Logo Text', 'diopter'),

                'default' => ''
            ),
            array(
                'id' => 'slogan',
                'type' => 'text',
                'title' => esc_html__('Slogan (Sub Logo Text)', 'diopter'),
                'default' => ''
            ),
            

            

            array(
                'id' => 'show_loader',
                'type' => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title' => esc_html__('Show animation loadder', 'diopter'),
                'subtitle' => esc_html__('Show animation loader', 'diopter'),
                'default' => true
            ),
            
            

            
            array(
                'id' => 'show_submenu_mobile',
                'type' => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title' => esc_html__('Show Submenu on Mobile', 'diopter'),
                'subtitle' => esc_html__('Set this option to Yes to display submenu items on mobile devices instead of hovering its parent.', 'diopter'),
                'default' => false
            ),

            array(
                'id' => 'disable_outer_border',
                'type' => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title' => esc_html__('Disable Outer Border', 'diopter'),
                'default' => false
            ),


            array(
                'id'       => 'video_header_mute',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Mute Header Video', 'diopter' ),
                'default'  => true,
            ),
            array(
                'id' => 'disable_parallax_effect',
                'type' => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title' => esc_html__('Disable Parallax Effect', 'diopter'),
                'default' => false
            ),

            array(
                'id' => 'gmap_api_key',
                'type' => 'text',
                'title' => esc_html__('Google Map API Key', 'diopter'),
                'subtitle' => esc_html__('You have to enter your API key to use google map feature.', 'diopter'),
                'desc' => '<a href="'.esc_url('https://developers.google.com/maps/documentation/javascript/get-api-key' ).'" target="_blank">Get a key</a>.',
            ),
            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('AJAX Page Transition', 'diopter'),
        'id'         => 'page-transition',
        'subsection' => false,
        
        'icon'       => 'fa fa-recycle',
        'fields' => array(
                array(
                    'id' => 'enable_ajax_transition',
                    'type' => 'switch',
                    'on'=> esc_html__('Yes','diopter'),
                    'off'=> esc_html__('No','diopter'),
                    'title' => esc_html__('Enable Ajax Page Transition', 'diopter'),
                    'default' => false
                ),

                array(
                    'id' => 'ajax_load_box',
                    'type' => 'select',
                    'title' => esc_html__('Reload Box', 'diopter'),
                    'options' => array(
                                    '#main' => esc_html__('Header + Content box will reload', 'diopter'),
                                    '#wrapper' => esc_html__('Content box will reload only', 'diopter'),
                     ), //Must provide key => value pairs for select options
                    'default' => '#main'
                ),

                array(
                    'id'=>'ajax_active_menus',
                    'type' => 'multi_text',
                    'title' => esc_html__('Active Menus', 'diopter'),
                    'desc' => esc_html__('Menu class and its sub-page BODY tag classes are separated by a space.', 'diopter'),
                    'default'=>array(
                        'folio-menu single-portfolio',
                    )
                ),
              
            ),
    ));

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Header', 'diopter'),
        'id'         => 'header-settings',
        'subsection' => false,
        
        'icon'       => 'fa fa-header',
        'fields' => array(
            array(
                'id' => 'show_topbar',
                'type' => 'switch',
                'on'=> esc_html__('Show','diopter'),
                'off'=> esc_html__('Hide','diopter'),
                'title' => esc_html__('Show Topbar', 'diopter'),
                'subtitle' => esc_html__('Set this option to Show to display topbar title and socials.', 'diopter'),
                'default' => true
            ),
            array(
                'id' => 'topbar_socials',
                'type' => 'ace_editor',
                'title' => esc_html__('Topbar Socials', 'diopter'),
                'mode'=>'html',
                'full_width'=>false,
                'desc' => esc_html__('You should replace href attribute value with your social links, and get social icons from:', 'diopter').' <a href="'.esc_url('http://fontawesome.io/icons/#brand' ).'" target="_blank"> Awesome Brand Icons</a>',
                'default' => '<ul >
    <li><a href="#" target="_blank" ><i class="fa fa-facebook"></i></a></li>
    <li><a href="#" target="_blank"><i class="fa fa-twitter"></i></a></li>
    <li><a href="#" target="_blank" ><i class="fa fa-instagram"></i></a></li>
    <li><a href="#" target="_blank" ><i class="fa fa-pinterest"></i></a></li>
    <li><a href="#" target="_blank" ><i class="fa fa-tumblr"></i></a></li>
</ul>',
            ),

        ),
    ) );
    
    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Fixed Sidebar', 'diopter'),
        'id'         => 'left-hand-settings',
        'subsection' => false,
        
        'icon'       => 'fa fa-th-list',
        'fields' => array(
            array(
                'id' => 'show_sidebar_menu',
                'type' => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title' => esc_html__('Show Fixed Sidebar', 'diopter'),
                'subtitle' => esc_html__('Set this option to Yes to enbale fixed sidebar area.', 'diopter'),
                'default' => false
            ),
            array(
                'id' => 'left_menu_position',
                'type' => 'select',
                'title' => esc_html__('Sidebar Position', 'diopter'),
                'options' => array(
                                'left' => esc_html__('Left', 'diopter'),
                                'right' => esc_html__('Right', 'diopter'),
                 ), //Must provide key => value pairs for select options
                'default' => 'right'
            ),

            array(
                'id' => 'fixed_sidebar_width',
                'type' => 'text',
                'title' => esc_html__('Fixed Sidebar width', 'diopter'),
                'desc' => esc_html__('Number in pixel unit. Default is: 350', 'diopter'),
                'default' => '350',
            ),

            array(
                'id'       => 'right_sidebar_bg',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Background Image', 'diopter' ),
                
                'default'  => array( 'url' => get_template_directory_uri().'/images/bg/23.jpg' ),
            ),

            array(
                'id' => 'right_sidebar_logo',
                'type' => 'ace_editor',
                'title' => esc_html__('Sidebar Logo', 'diopter'),
                'mode'=>'html',
                'full_width'=>false,
                'default' => '<div class="sb-logo">
    <img src="'.get_template_directory_uri().'/images/logo-l.png" alt="">
</div>',
            ), 

            array(
                'id' => 'right_sidebar_socials',
                'type' => 'ace_editor',
                'title' => esc_html__('Sidebar Socials', 'diopter'),
                'mode'=>'html',
                'full_width'=>false,
                'default' => '<div class="sb-social">
    <ul>
        <li><a href="#" target="_blank"><i class="fa fa-facebook"></i></a></li>
        <li><a href="#" target="_blank"><i class="fa fa-twitter"></i></a></li>
        <li><a href="#" target="_blank" ><i class="fa fa-instagram"></i></a></li>
        <li><a href="#" target="_blank" ><i class="fa fa-pinterest"></i></a></li>
        <li><a href="#" target="_blank" ><i class="fa fa-tumblr"></i></a></li>
    </ul>
</div>',
            ),
            

        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Footer', 'diopter'),
        'id'         => 'footer-settings',
        'subsection' => false,
        
        'icon'       => 'el-icon-pencil',
        'fields' => array( 

            array(
                'id' => 'to_top_icon',
                'type' => 'text',
                'title' => esc_html__('ToTop Icon', 'diopter'),
                'default' => '<i class="fa fa-angle-up"></i>',
            ),

            array(
                'id' => 'goto_contact_link',
                'type' => 'text',
                'title' => esc_html__('GoTo Contact form Link', 'diopter'),
                'default' => '',
                'desc' => sprintf(esc_html__('Default: %s', 'diopter'), esc_url(home_url('/contact/')).'#contactform-anchor' ),
            ),

            array(
                'id' => 'goto_contact_icon',
                'type' => 'text',
                'title' => esc_html__('GoTo Contact form Icon', 'diopter'),
                'default' => '<i class="fa fa-envelope-o"></i>',
            ),

            

            array(
                'id' => 'footer_content',
                'type' => 'ace_editor',
                'title' => esc_html__('Footer Content', 'diopter'),
                'mode'=>'html',
                'full_width'=>false,
                'default' => '<div class="footer-logo"><a href="'.esc_url( home_url('/' )).'" class="ajax"><img src="'.get_template_directory_uri().'/images/heroimg.png" alt=""></a></div>
<div class="clearfix"></div>
<div class="dec-separator"><img src="'.get_template_directory_uri().'/images/sep.png" alt=""> </div>
<ul class="footer-social">
    <li><a href="#" target="_blank">Facebook</a></li>
    <li><a href="#" target="_blank">Twitter</a></li>
    <li><a href="#" target="_blank" >Instagram</a></li>
    <li><a href="#" target="_blank" >Pinterest</a></li>
    <li><a href="#" target="_blank" >Tumblr</a></li>
</ul>
<div class="clearfix"></div>
<div class="copyright">&#169; Diopter 2016 . All rights reserved. </div>',
            ), 

        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Media', 'diopter'),
        'id'         => 'thumbnail_images',
        'subsection' => false,
        'desc'       => wp_kses(__( '<p>These settings affect the display and dimensions of images in your pages.</p>
            <p><em> Enter 9999 as Width value and uncheck Hard Crop to make your thumbnail dynamic width.</em></p>
            <p><em> Enter 9999 as Height value and uncheck Hard Crop to make your thumbnail dynamic height.</em></p>
            <p><em> Enter 9999 as Width and Height values to use full size image.</em></p>
After changing these settings you may need to ', 'diopter' ), array('p'=>array(),'a'=>array('class'=>array(),'href'=>array(),'target'=>array(),),'strong'=>array(),'em'=>array(),) ) .'<a href="'.esc_url('http://wordpress.org/extend/plugins/regenerate-thumbnails/' ).'" target="_blank">regenerate your thumbnails</a>',
        'icon'       => 'el-icon-picture',
        'fields' => array(
            array(
                'id' => 'enable_custom_sizes',
                'type' => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title' => esc_html__('Enable Custom Image Sizes', 'diopter'),
                'default' => false
            ), 

            array(
                'id'       => 'fullscreen_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Home Thumbnail Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 9999, Height - 9999, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '9999', 
                    'height'  => '9999',
                    'hard_crop'  => 1
                ),
            ),

            array(
                'id'       => 'landing_slider_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Landing Slider Thumbnail Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 9999, Height - 9999, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '9999', 
                    'height'  => '9999',
                    'hard_crop'  => 1
                ),
            ),



            
            array(
                'id'       => 'horizontal_slider_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Portfolio Horizontal Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 9999, Height - 9999, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '9999', 
                    'height'  => '9999',
                    'hard_crop'  => 1
                ),
            ),

            array(
                'id'       => 'folio_grid_thumbnail_size',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Portfolio Grid Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 327, Height - 217, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '327', 
                    'height'  => '217',
                    'hard_crop'  => 1
                ),
            ),
            

            array(
                'id'       => 'galmasonry_thumbnail_size_one',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Portfolio Masonry Size One', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 327, Height - 217, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '327', 
                    'height'  => '217',
                    'hard_crop'  => 1
                ),
            ),
            array(
                'id'       => 'galmasonry_thumbnail_size_two',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Portfolio Masonry Size Two', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 654, Height - 434, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '654', 
                    'height'  => '434',
                    'hard_crop'  => 1
                ),
            ),

            array(
                'id'       => 'galmasonry_thumbnail_size_three',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Portfolio Masonry Size Three', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 981, Height - 651, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '981', 
                    'height'  => '651',
                    'hard_crop'  => 1
                ),
            ),

            array(
                'id'       => 'galgrid_thumbnail_size',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Gallery Thumbnail size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 327, Height - 9999, Hard crop - uncheck', 'diopter'),
                'default'  => array(
                    'width'   => '327', 
                    'height'  => '9999',
                    'hard_crop'  => 0
                ),
            ),

            

            
            array(
                'id'       => 'team_member_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Member Thumbnail Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 370, Height - 370, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '370', 
                    'height'  => '370',
                    'hard_crop'  => 1
                ),
            ),

            array(
                'id'       => 'our_partner_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Partner Thumbnail Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 148, Height - 111, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '148', 
                    'height'  => '111',
                    'hard_crop'  => 1
                ),
            ),


            array(
                'id'       => 'testimonial_avatar_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Testimonial Avatar Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 80, Height - 80, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '80', 
                    'height'  => '80',
                    'hard_crop'  => 1
                ),
            ),



            array(
                'id'       => 'blog_image_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Blog Thumbnail Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 341, Height - 226, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '341', 
                    'height'  => '226',
                    'hard_crop'  => 1
                ),
            ),

            array(
                'id'       => 'blog_image_large_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Blog Single Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 9999, Height - 9999, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '9999', 
                    'height'  => '9999',
                    'hard_crop'  => 1
                ),
            ),

            

            array(
                'id'       => 'blog_related_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Related Post Size', 'diopter'),
                'subtitle' => esc_html__('Demo: Width - 186, Height - 123, Hard crop - checked', 'diopter'),
                'default'  => array(
                    'width'   => '186', 
                    'height'  => '123',
                    'hard_crop'  => 1
                ),
            ),

        ),
    ) );

    
    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Colors', 'diopter'),
        'id'         => 'styling-settings',
        'subsection' => false,
        
        'icon'       => 'el-icon-magic',
        'fields' => array(
            array(
                'id'       => 'color-preset',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Theme Color', 'diopter' ),
                'options'  => array(
                    'default' => array(
                        'alt' => 'Default',
                        'img' => get_template_directory_uri(). '/functions/assets/default.png'
                    ),
                    'red' => array(
                        'alt' => 'Red',
                        'img' => get_template_directory_uri(). '/functions/assets/skin1.png'
                    ),
                    'blue' => array(
                        'alt' => 'Blue',
                        'img' => get_template_directory_uri(). '/functions/assets/skin2.png'
                    ),
                    'green' => array(
                        'alt' => 'Green',
                        'img' => get_template_directory_uri(). '/functions/assets/skin3.png'
                    ),
                    'yellow' => array(
                        'alt' => 'Yellow',
                        'img' => get_template_directory_uri(). '/functions/assets/skin4.png'
                    ),
                    'orange' => array(
                        'alt' => 'Orange',
                        'img' => get_template_directory_uri(). '/functions/assets/skin5.png'
                    ),
                    
                    
                    
                ),
                'default'  => 'default'
            ),

            array(
                'id' => 'override-preset',
                'type' => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title' => esc_html__('Use Custom Color', 'diopter'),
                'subtitle' => wp_kses(__('Set this option to <b>Yes</b> if you want to use color variants bellow.', 'diopter'), array('b'=>array(),'strong'=>array(),'p'=>array()) ),
                'default' => false
            ),
            array(
                'id' => 'main-theme-color',
                'type' => 'color',
                'title' => esc_html__('Main Theme Color', 'diopter'),
                'transparent'      => false,
                
                'subtitle' => esc_html__('Main Theme Color (default: #BB9167).', 'diopter'),
                'default' => '#BB9167',
                'validate' => 'color',
            ),

            array(         
                'id'       => 'outer-border-color',
                'type'     => 'color',
                'title'    => esc_html__('Outer Border Color', 'diopter'),
                'default'  => '#f9f9f9',
            ),

            array(         
                'id'       => 'main-bg-color',
                'type'     => 'color',
                'title'    => esc_html__('Body Background', 'diopter'),
                'subtitle' => esc_html__('Body/Preloader Background Color (default: #f4f4f4).', 'diopter'),
                'default'  => '#f4f4f4',
            ),

            
            array(
                'id' => 'body-text-color',
                'type' => 'color',
                'title' => esc_html__('Body Text Color', 'diopter'),
                'subtitle' => esc_html__('Body Text Color (default: #000000).', 'diopter'),
                'default' => '#000000',
                'validate' => 'color',
                'transparent' => false
            ),

            //https://docs.reduxframework.com/core/fields/link-color/
            array(
                'id'       => 'hyperlink-text-color',
                'type'     => 'link_color',
                'title'    => esc_html__('Hyperlink Text Color', 'diopter'),
                'default'  => array(
                    'regular'  => '#000000', 
                    'hover'    => '#000000', 
                    'active'   => '#000000',  
                      
                ),
                'visited' => false
            ),


            array(
                'id' => 'paragraph-color',
                'type' => 'color',
                'title' => esc_html__('Paragraph Color', 'diopter'),
                'subtitle' => esc_html__('Paragraph (default: #000000).', 'diopter'),
                'default' => '#000000',
                'validate' => 'color',
                'transparent' => false
            ),

            
            array(
                'id' => 'header-color',
                'type' => 'color_rgba',
                'title' => esc_html__('Header Bg Color', 'diopter'),
                'subtitle' => esc_html__('Header Background Color (default: #ffffff - 1).', 'diopter'),
                'default'   => array(
                    'color'     => '#ffffff',
                    'alpha'     => 1
                ),
            ),
            
            array(
                'id' => 'submenu-bg-color',
                'type' => 'color_rgba',
                'title' => esc_html__('Submenu Background Color', 'diopter'),
                'subtitle' => esc_html__('Submenu Background Color (default: #000000 - 0.71).', 'diopter'),
                'default'   => array(
                    'color'     => '#000000',
                    'alpha'     => 0.71
                ),
            ),

            

            array(
                'id'       => 'main-nav-menu-color',
                'type'     => 'link_color',
                'title'    => esc_html__('Main Menu Color', 'diopter'),
                'default'  => array(
                    'regular'  => '#000000', 
                    'hover'    => '#BB9167', 
                    'active'   => '#BB9167',   
                ),
                'visited' => false
            ),

            array(
                'id' => 'active-menu-bg-color',
                'type' => 'color',
                'title' => esc_html__('Active Menu Bg Color', 'diopter'),
                'subtitle' => esc_html__('Background color for active menu. (default: #f9f9f9).', 'diopter'),
                'default' => '#f9f9f9',
                'validate' => 'color',
                'transparent' => false
            ),

            array(
                'id'       => 'submenu-color',
                'type'     => 'link_color',
                'title'    => esc_html__('SubMenu Color', 'diopter'),
                'default'  => array(
                    'regular'  => '#ffffff', 
                    'hover'    => '#BB9167', 
                    'active'   => '#BB9167',   
                ),
                'visited' => false
            ),

            array(         
                'id'       => 'fixed-sidebar-bg-color',
                'type'     => 'color',
                'title'    => esc_html__('Fixed Sidebar Background', 'diopter'),
                'subtitle' => esc_html__('Default: #000000', 'diopter'),
                'default'  => '#000000',
            ),

            array(
                'id'       => 'fixed-sidebar-color',
                'type'     => 'link_color',
                'title'    => esc_html__('Fixed Sidebar Link Color', 'diopter'),
                'default'  => array(
                    'regular'  => '#ffffff', 
                    'hover'    => '#ffffff', 
                    'active'   => '#ffffff',   
                ),
                'visited' => false
            ),



            array(
                'id' => 'footer-bg-color',
                'type' => 'color_rgba',
                'title' => esc_html__('Footer Background Color', 'diopter'),
                'subtitle' => esc_html__('Footer Background Color (default: #292929 - 1).', 'diopter'),
                'default'   => array(
                    'color'     => '#292929',
                    'alpha'     => 1
                ),
            ),

            array(
                'id'       => 'footer-social-color',
                'type'     => 'link_color',
                'title'    => esc_html__('Footer Social Links Color', 'diopter'),
                'default'  => array(
                    'regular'  => '#ffffff', 
                    'hover'    => '#BB9167', 
                    'active'   => '#BB9167',   
                ),
                'visited' => false
            ),

            array(
                'id' => 'footer-copy-text-color',
                'type' => 'color',
                'title' => esc_html__('Footer Copyright Text Color', 'diopter'),
                'subtitle' => esc_html__('Footer Copyright Text Color (default: #ffffff).', 'diopter'),
                'default' => '#ffffff',
                'validate' => 'color',
                'transparent' => false
            ),

        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Fonts', 'diopter'),
        'id'         => 'font-settings',
        'subsection' => false,
        'icon'       => 'el-icon-font',
        'fields' => array(
            
            array(
                'id' => 'body-font',
                'type' => 'typography',
                'output' => array('body'),
                'title' => esc_html__('Body Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>Specify the body font properties.</br> Default </br>font-family: Raleway </br>font-size: 12px </br>font-weight: 400</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,
            ),
            array(
                'id' => 'hyperlink-font',
                'type' => 'typography',
                'output' => array('a'),
                'title' => esc_html__('Hyperlink Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>Hyperlink font properties.</br> Default </br>font-family: Raleway </br>font-size: 12px </br>font-weight: 400</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,
                
            ),
            array(
                'id' => 'hyperlink-hover-font',
                'type' => 'typography',
                'output' => array('a:hover'),
                'title' => esc_html__('Hyperlink Hover Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>Hyperlink hover font properties.</br> Default </br>font-family: Raleway </br>font-size: 12px </br>font-weight: 700</p>', 'diopter'),array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,
               
            ),
            array(
                'id' => 'paragraph-font',
                'type' => 'typography',
                'output' => array('p'),
                'title' => esc_html__('Paragraph Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>Specify paragraph font properties. Default </br>font-family: Raleway </br>font-size: 13px </br>line-height: 24px</br>font-weight: 400</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,
            ),

            array(
                'id' => 'header-font',
                'type' => 'typography',
                'output' => array('h1, h2, h3, h4, h5, h6'),
                'title' => esc_html__('Title-Header Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>Specify the title and heading font properties.</br> Default </br>font-family: Raleway</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'font-size'=> false,
                'line-height'=> true,
                'color'=> false,
            ),
            array(
                'id' => 'diopter-second-font',
                'type' => 'typography',
                'output' => array('.password-bg-title,.parallax-title,.section-entry h3,.about-entry  h3,.play-video-wrap p,.section-qoute  p,.ser_item_wrap span.price,.ser-wrap li span.price  , .about-entry .servicses-holder li span.price ,.serv-title,.order-wrap h3,.numpc,.wpcf7-submit,#submit,.back-link span,.password-page-content p '),
                'title' => esc_html__('Diopter Bolder/Italic Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>This is bolder font used in the theme. Default </br>font-family: Dancing Script</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'font-weight'=> false,
                'font-size'=> false,
                'line-height'=> false,
                'color'=> false,
                'text-align'=> false,

            ),
            array(
                'id' => 'diopter-third-font',
                'type' => 'typography',
                'output' => array('code, pre ,blockquote p,.tex-but ,.section-title h4,.section-title p ,.column-text h3,.inline-facts p,.inline-facts span,.team-info h4 ,.serv-header h5,.order-wrap p,.carousel-title-wrap h4,.inline-carousel-title  h4,.testi-item p,.teti-counter,.showshare span ,.share-holder.block-share span,.fixed-filter .gallery-filters span  , .inline-filter .gallery-filters span,.hd-box-wrap p,.hid-desc .overal-box p  , .vis-desc .overal-box p,.vis-con-panel,.cpdet,.det-info h3,.det-meta li,.det-box  h4,.copyright,.fp-desc ul li,.cat-list li ,.password-input,.search-input,.art-opt .post-counter li span,.main-sidebar-widget .tagcloud a,.recent-post-opt   span.post-date,.load-more-post span,.single-nav a,.single-post-tags a,.post-author-wrap span ,.item-related .post-date ,.thecomment .comment-text span.date,#respond #submit,.wpcf7 .wpcf7-submit,.password-page-content label'),
                'title' => esc_html__('Diopter Theme Italic Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>Theme italic font. Default </br>font-family: Georgia </br>font-style: italic</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,
            ),
            array(
                'id' => 'diopter-navigation-font',
                'type' => 'typography',
                'output' => array('nav li a, nav li a:focus,.header-title h1 ,.header-title h2,.fixed-filter .gallery-filters a , .inline-filter .gallery-filters a'),
                'title' => esc_html__('Diopter Theme Navigation Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>Theme navigation font. Default </br>font-family: Asap </br>font-size: 13px</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,
            ),
            array(
                'id' => 'diopter-navigation-hover-font',
                'type' => 'typography',
                'output' => array('nav li a:hover'),
                'title' => esc_html__('Diopter Theme Navigation Hover Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>Theme navigation hover font. Default </br>font-family: Asap </br>font-size: 13px</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,
            ),
            array(
                'id' => 'diopter-navigation-active-font',
                'type' => 'typography',
                'output' => array('nav li a.act-link,nav li a.ancestor-act-link,nav li a.parent-act-link,nav .act-link-li a'),
                'title' => esc_html__('Diopter Active Menu Font', 'diopter'),
                'subtitle' => wp_kses(__('<p>Theme navigation hover font. Default </br>font-family: Asap </br>font-size: 13px</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,
            ),
            
            array(
                'id' => 'diopter-section-title-font',
                'type' => 'typography',
                'output' => array('.ser_item_wrap p,.ser-wrap li p,.det-info h4,.det-meta li span,.main-sidebar-widget .about-widget h4,.main-sidebar-widget .category-widget .cat-item li a,.widget_archive ul li a,.widget_categories ul li a,.widget_pages ul li a,.widget_meta ul li a,.widget_recent_comments ul li a,.widget_recent_comments ul li span,.widget_recent_entries ul li a,.widget_rss ul li a,.widget_nav_menu ul li a,.recent-post-content h4 a,.post-author-wrap h3,.thecomment .comment-text span.author, .comment-text span.author a,#respond h3'),
                'title' => esc_html__('Default Montserrat', 'diopter'),
                'subtitle' => wp_kses(__('<p>Theme page section title font. Default </br>font-family: Montserrat</p>', 'diopter'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
               
            ),
            
            
            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Social Share', 'diopter'),
        'id'         => 'social-share-settings',
        'subsection' => false,
        
        'icon'       => 'el-icon-share',
        'fields' => array(
            array(
                'id' => 'share_names',
                'type' => 'text',
                'title' => esc_html__('Share Names', 'diopter'),
                'subtitle' => 'Enter your social share names separated by a comma.<br> List bellow are available name:<strong><br> facebook,twitter,linkedin,in1,tumblr,<br>digg,googleplus,reddit,pinterest<br>,stumbleupon,email,vk</strong>',
                
                'default' => "facebook,pinterest,googleplus,twitter,linkedin",
            ),
        ),
    ) );
    
    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Portfolio', 'diopter'),
        'desc' => esc_html__('Config Header, Footer and Layout for portfolio archive page. Effected pages are: ', 'diopter').'<br>'.esc_html__('Portfolio List page: ', 'diopter').'<a href="'.esc_url(home_url('/?post_type=portfolio' )).'" target="_blank">'.esc_url(home_url('/?post_type=portfolio' )).'</a><br>'.esc_html__('Portfolio List page: ', 'diopter').'<a href="'.esc_url(home_url('/portfolio/' )).'" target="_blank">'.esc_url(home_url('/portfolio/' )).'</a><br>'.esc_html__('Portfolio Category page: ', 'diopter').'<a href="'.esc_url(home_url('/portfolio_cat/nature/' )).'" target="_blank">'.esc_url(home_url('/portfolio_cat/nature/' )).'</a>',
        'id'         => 'portfolio-settings',
        'subsection' => false,
        'icon'       => 'el-icon-briefcase',
        'fields' => array(

            

            array(
                'id'       => 'show_folio_header',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Portfolio Header', 'diopter' ),
                'default'  => true,
            ),
            array(
                    'id' => 'folio_home_text',
                    'type' => 'text',
                    'title' => esc_html__('Portfolio Heading Text', 'diopter'),
                    'default' => 'Our Portfolio'
                ),
            array(
                    'id' => 'folio_home_text_intro',
                    'type' => 'textarea',
                    'title' => esc_html__('Portfolio Intro Text', 'diopter'),
                    'default' => '<h4>Integer cursus bibendum augue ac cursus.</h4>
<div class="dec-separator"><img src="'.get_template_directory_uri().'/images/sep.png" alt=""></div>'
                ),
            array(
                    'id' => 'folio_header_video',
                    'type' => 'text',
                    'title' => esc_html__('Portfolio Header Video', 'diopter'),
                    'desc' => esc_html__('Please enter your Youtube video ID (ex: RdANs18HsIo ) here to use header background video feature or leave empty to use header background image selected bellow.', 'diopter'),
                    'default' => ''
                ),
            array(
                'id' => 'folio_header_image',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Portfolio Header Image', 'diopter'),
                'default' => '',
            ),

            array(
                'id' => 'folio_layout',
                'type' => 'select',
                'title' => esc_html__('Portfolio Layout', 'diopter'),

                'options' => array(
                                'hoz' => esc_html__('Horizontal','diopter'),
                                'ver' => esc_html__('Masonry','diopter'),
                                'grid' => esc_html__('Grid','diopter'),
                 ), //Must provide key => value pairs for select options
                'default' => 'ver'
            ),
            

            array(
                'id' => 'folio_style',
                'type' => 'select',
                'title' => esc_html__('Layout Style', 'diopter'),

                'options' => array(
                                'style1' => esc_html__('Style 1 - For Horizontal layout only','diopter'),
                                'style2' => esc_html__('Style 2','diopter'),
                                'style3' => esc_html__('Style 3','diopter'),
                 ), //Must provide key => value pairs for select options
                'default' => 'style3'
            ),

            array(
                'id' => 'folio_grid_content_width',
                'type' => 'select',
                'title' => esc_html__('Content Width', 'diopter'),
                'options' => array(
                                'boxed-container' => esc_html__( 'Normal', 'diopter' ), 
                                'wide-container' => esc_html__( 'Wide', 'diopter' ),
                                'full-container' => esc_html__( 'Fullwidth', 'diopter' ), 
                            ), //Must provide key => value pairs for select options
                'default' => 'wide-container',
                'subtitle' => esc_html__( 'Use for Masonry and Grid layouts.', 'diopter' ),
            ),

            array(
                'id' => 'folio_column',
                'type' => 'select',
                'title' => esc_html__('Portfolio Columns', 'diopter'),
                'desc' => esc_html__('Vertical columns for Horizontal layout', 'diopter'),
                'options' => array('five' => 'Five Columns','four' => 'Four Columns', 'three' => 'Three Columns','two' => 'Two Columns', 'one' => 'One Column'), //Must provide key => value pairs for select options
                'default' => 'three'
            ),
            

            


            
            array(
                'id'       => 'folio_posts_per_page',
                'type'     => 'text',
                'title'    => esc_html__( 'Posts per page', 'diopter' ),
                'subtitle' => esc_html__( 'Number of post to show per page, -1 to show all posts.', 'diopter' ),
                'desc' => esc_html__( 'To use Loadmore or Infinit scroll to load features you have set this value less than total portfolio items number.', 'diopter' ),
                'default'  => 5,
            ),
            
            array(
                'id' => 'folio_archive_orderby',
                'type' => 'select',
                'title' => esc_html__('Order Portfolio By', 'diopter'),
                'options' => array(
                                'none' => esc_html__( 'None', 'diopter' ), 
                                'ID' => esc_html__( 'Post ID', 'diopter' ), 
                                'author' => esc_html__( 'Post Author', 'diopter' ),
                                'title' => esc_html__( 'Post title', 'diopter' ), 
                                'name' => esc_html__( 'Post name (post slug)', 'diopter' ),
                                'date' => esc_html__( 'Created Date', 'diopter' ),
                                'modified' => esc_html__( 'Last modified date', 'diopter' ),
                                'parent' => esc_html__( 'Post Parent id', 'diopter' ),
                                'rand' => esc_html__( 'Random', 'diopter' ),
                            ), //Must provide key => value pairs for select options
                'default' => 'date'
            ),
            array(
                'id' => 'folio_archive_order',
                'type' => 'select',
                'title' => esc_html__('Order Portfolio', 'diopter'),
                'options' => array(
                                'DESC' => esc_html__( 'Descending', 'diopter' ),
                                'ASC' => esc_html__( 'Ascending', 'diopter' ), 
                                
                            ), //Must provide key => value pairs for select options
                'default' => 'DESC'
            ),
            
            array(
                'id' => 'folio_pad',
                'type' => 'select',
                'title' => esc_html__('Spacing', 'diopter'),
                'subtitle' => esc_html__('The space between portfolio grid items.', 'diopter'),
                'desc' => '',
                'options' => array(
                                'extrasmall' => esc_html__('Extra Small','diopter'), 
                                'small' => esc_html__('Small','diopter'), 
                                'medium' =>  esc_html__('Medium','diopter'),
                                'big' =>  esc_html__('Big','diopter'),
                                'none' =>  esc_html__('None','diopter'),
                            ), //Must provide key => value pairs for select options
                'default' => 'small'
            ),
            
            array(
                'id'       => 'folio_show_excerpt',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Post Excerpt', 'diopter' ),
                'default'  => false,
            ),

            array(
                'id'       => 'folio_show_cat_grid',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Categories', 'diopter' ),
                'default'  => true,
            ),


            array(
                'id'       => 'folio_show_readmore',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Read More', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id'       => 'folio_enable_gallery',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Enable Gallery', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id' => 'folio_after_grid_content',
                'type' => 'ace_editor',
                'title' => esc_html__('After Grid Content', 'diopter'),
                'mode'=>'html',
                'full_width'=>false,
                'default' => '<section class="no-padding">
    <div class="fl-wrap order-wrap gray-bg">
        <div class="container big-container">
            <div class="row">
                <div class="col-md-9">
                    <h3>Ready to order <span>your</span> project ?</h3>
                    <p>Nullam nec augue dui. Curabitur ullamcorper interdum mi</p>
                </div>
                <div class="col-md-3">
                    <a href="'.esc_url(home_url('/contact/#contactform-anchor' ) ).'" class=" btn anim-button   flat-btn   transition  fl-l" target="_blank"><span>Get in Touch</span><i class="fa fa-eye"></i></a>
                </div>
            </div>
        </div>
    </div>
</section>',
            ), 

            array(
                'id'       => 'show_folio_footer',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Portfolio Footer', 'diopter' ),
                'desc' => esc_html__('Set this to No for Horizontal portfolio layout.', 'diopter'),
                'default'  => true,
            ),


            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Filter / Counter Options', 'diopter'),
        'id'         => 'folio-filter-optons',
        'subsection' => true,
        'fields' => array(

            
            array(
                'id'       => 'folio_show_filter',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Filter', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id' => 'folio_grid_filter_width',
                'type' => 'select',
                'title' => esc_html__('Filter Width', 'diopter'),
                'options' => array(
                                'nor-container' => esc_html__( 'Normal', 'diopter' ), 
                                'big-container' => esc_html__( 'Wide', 'diopter' ),
                                'full-container' => esc_html__( 'Fullwidth', 'diopter' ), 
                            ), //Must provide key => value pairs for select options
                'default' => 'big-container',
                'subtitle' => esc_html__( 'Use for Masonry and Grid layouts.', 'diopter' ),
            ),

            array(
                'id' => 'folio_filter_orderby',
                'type' => 'select',
                'title' => esc_html__('Order Filter By', 'diopter'),
                'options' => array(
                                'id' => esc_html__( 'ID', 'diopter' ), 
                                'count' => esc_html__( 'Count', 'diopter' ),
                                'name' => esc_html__( 'Name', 'diopter' ), 
                                'slug' => esc_html__( 'Slug', 'diopter' ),
                                'none' => esc_html__( 'None', 'diopter' )
                            ), //Must provide key => value pairs for select options
                'default' => 'name'
            ),
            array(
                'id' => 'folio_filter_order',
                'type' => 'select',
                'title' => esc_html__('Order Filter', 'diopter'),
                'options' => array(
                                'ASC' => esc_html__( 'Ascending', 'diopter' ), 
                                'DESC' => esc_html__( 'Descending', 'diopter' ),
                            ), //Must provide key => value pairs for select options
                'default' => 'ASC'
            ),

            array(
                'id'       => 'folio_show_counter',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Counter', 'diopter' ),
                'default'  => true,
            ),

              
        ),
    ));

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Pagination / Loadmore Options', 'diopter'),
        'id'         => 'folio-pagination-lmore-optons',
        'subsection' => true,
        'fields' => array(

            
            
            array(
                'id'       => 'folio_show_loadmore',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Load More - for Horizontal layout only', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id'       => 'folio_use_pagi_infinite',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Use Infinite scroll?', 'diopter' ),
                'subtitle' => esc_html__( 'Items will be added automatically when scroll down to the page bottom. For Grid and Masonry layouts.', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id'       => 'folio_loadmore_items',
                'type'     => 'text',
                'title'    => esc_html__( 'Load more items', 'diopter' ),
                'subtitle' => esc_html__( 'Number of posts to get on each additional load (Load more and infinite scroll).', 'diopter' ),
                'default'  => 3,
            ),

            array(
                'id'       => 'folio_show_pagination',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','diopter'),
                'off'=> esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Pagination - For Grid and Masonry layouts', 'diopter' ),
                'default'  => false,
            ),

              
        ),
    ));


    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Blog', 'diopter'),
        'id'         => 'blog-settings',
        'subsection' => false,
        
        'icon'       => 'fa fa-newspaper-o',
        'fields' => array(
            
            array(
                'id'       => 'show_blog_header',
                'type'     => 'switch',
                'on'=> esc_html__('Yes', 'diopter'),
                'off'=> esc_html__('No', 'diopter'),
                'title'    => esc_html__( 'Show Header', 'diopter' ),
                'default'  => true,
            ),

            array(
                    'id' => 'blog_home_text',
                    'type' => 'text',
                    'title' => esc_html__('Blog Home Text', 'diopter'),
                    'default' => 'Our Journal'
                ),
            array(
                    'id' => 'blog_home_text_intro',
                    'type' => 'textarea',
                    'title' => esc_html__('Blog Intro Text', 'diopter'),
                    'default' => '<h4>  Integer cursus bibendum augue ac cursus .</h4><div class="dec-separator"><img src="'.get_template_directory_uri().'/images/sep.png" alt=""></div>'
                ),

            array(
                    'id' => 'blog_header_video',
                    'type' => 'text',
                    'title' => esc_html__('Blog Header Video', 'diopter'),
                    'desc' => esc_html__('Please enter your Youtube video ID (ex: RdANs18HsIo ) here to use header background video feature or leave empty to use header background image selected bellow.', 'diopter'),
                    'default' => ''
                ),
            array(
                'id' => 'blog_header_image',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Blog Header Image', 'diopter'),
                'default' => '',
            ),

            array(
                'id' => 'blog-grid-width',
                'type' => 'select',
                'title' => esc_html__('Blog Width', 'diopter'),
                'options' => array(
                                'blog-normal' => esc_html__('Boxed', 'diopter'),
                                'blog-wide' => esc_html__('Wide', 'diopter'),
                                'blog-fullwidth' => esc_html__('Fullwidth', 'diopter'),
                 ), //Must provide key => value pairs for select options
                'default' => 'blog-wide'
            ),
            
            array(
                    'id'       => 'blog_layout',
                    'type'     => 'image_select',
                    'title'    => esc_html__( 'Blog Sidebar Layout', 'diopter' ),
                    'subtitle' => esc_html__( 'Select main content and sidebar layout. The option 4 is default layout with right parallax image for Springbook theme.', 'diopter' ),
                    'options'  => array(
                        'fullwidth' => array(
                            'alt' => 'Fullwidth',
                            'img' => ReduxFramework::$_url . 'assets/img/1col.png'
                        ),
                        'left_sidebar' => array(
                            'alt' => 'Left Sidebar',
                            'img' => ReduxFramework::$_url . 'assets/img/2cl.png'
                        ),
                        'right_sidebar' => array(
                            'alt' => 'Right Sidebar',
                            'img' => ReduxFramework::$_url . 'assets/img/2cr.png'
                        ),
                        
                    ),
                    'default'  => 'right_sidebar'
                ),

            array(
                'id' => 'blog-sidebar-width',
                'type' => 'select',
                'title' => esc_html__('Blog Sidebar Width', 'diopter'),
                'subtitle' => esc_html__( 'Based on Bootstrap 12 columns.', 'diopter' ),
                'options' => array(
                                '2' => esc_html__('2 Columns', 'diopter'),
                                '3' => esc_html__('3 Columns', 'diopter'),
                                '4' => esc_html__('4 Columns', 'diopter'),
                                '5' => esc_html__('5 Columns', 'diopter'),
                                '6' => esc_html__('6 Columns', 'diopter'),
                 ), //Must provide key => value pairs for select options
                'default' => '4'
            ),

            

            array(
                'id' => 'blog-grid-style',
                'type' => 'select',
                'title' => esc_html__('Blog Style', 'diopter'),
                'options' => array(
                                'masonry' => esc_html__('Masonry', 'diopter'),
                                'list' => esc_html__('List', 'diopter'),
                 ), //Must provide key => value pairs for select options
                'default' => 'masonry'
            ),

            array(
                'id' => 'blog-grid-columns',
                'type' => 'select',
                'title' => esc_html__('Blog Columns', 'diopter'),
                'subtitle' => esc_html__('For Blog Masonry style only.', 'diopter'),
                'options' => array(
                                'one' => esc_html__('One Column', 'diopter'),
                                'two' => esc_html__('Two Columns', 'diopter'),
                                'three' => esc_html__('Three Columns', 'diopter'),
                                'four' => esc_html__('Four Columns', 'diopter'),
                                'five' => esc_html__('Five Columns', 'diopter'),
                 ), //Must provide key => value pairs for select options
                'default' => 'two'
            ),

            array(
                'id'       => 'blog_list_show_format',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Post Format on blog grid', 'diopter' ),
                'default'  => false,
            ),

            array(
                'id'       => 'blog_list_share',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Share', 'diopter' ),
                'default'  => false,
            ),

            array(
                'id'       => 'blog_author',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Author', 'diopter' ),
                'default'  => true,
            ),
            
            array(
                'id'       => 'blog_date',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Date', 'diopter' ),
                'default'  => true,
            ),
            
            array(
                'id'       => 'blog_cats',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Categories', 'diopter' ),
                'default'  => true,
            ),
            array(
                'id'       => 'blog_tags',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Tags', 'diopter' ),
                'default'  => true,
            ),
            
            array(
                'id'       => 'blog_comments',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Comments', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id'        => 'blog_show_views',
                'type'      => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'     => esc_html__( 'Show post Views', 'diopter' ),
                'default'  => true,
            ),

        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Featured Post Slider', 'diopter'),
        'id'         => 'blog-featured-post-slider-optons',
        'subsection' => true,
        'fields' => array(

            
            array(
                'id'       => 'blog_show_featured_posts',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Featured posts', 'diopter' ),
                'subtitle' => esc_html__( 'Featured post is set on the right top panel of post editing screen.', 'diopter' ),
                'default'  => false,
            ),

            array(
                'id' => 'blog_featured_count',
                'type' => 'text',
                'title' => esc_html__('Featured Posts Count', 'diopter'),
                
                'default' => '4'
            ),

            array(
                'id' => 'featured_slider_orderby',
                'type' => 'select',
                'title' => esc_html__('Order Posts By', 'diopter'),
                'options' => array(
                                'none' => esc_html__( 'None', 'diopter' ), 
                                'ID' => esc_html__( 'Post ID', 'diopter' ), 
                                'author' => esc_html__( 'Post Author', 'diopter' ),
                                'title' => esc_html__( 'Post title', 'diopter' ), 
                                'name' => esc_html__( 'Post name (post slug)', 'diopter' ),
                                'date' => esc_html__( 'Created Date', 'diopter' ),
                                'modified' => esc_html__( 'Last modified date', 'diopter' ),
                                'parent' => esc_html__( 'Post Parent id', 'diopter' ),
                                'rand' => esc_html__( 'Random', 'diopter' ),
                            ), //Must provide key => value pairs for select options
                'default' => 'date'
            ),
            array(
                'id' => 'featured_slider_order',
                'type' => 'select',
                'title' => esc_html__('Sort Order', 'diopter'),
                'options' => array(
                                'DESC' => esc_html__( 'Descending', 'diopter' ),
                                'ASC' => esc_html__( 'Ascending', 'diopter' ), 
                                
                            ), //Must provide key => value pairs for select options
                'default' => 'DESC'
            ),

              
        ),
    ));


    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Blog Single', 'diopter'),
        'id'         => 'blog-single-optons',
        'subsection' => true,
        'fields' => array(

            array(
                'id' => 'blog-single-width',
                'type' => 'select',
                'title' => esc_html__('Blog Single Width', 'diopter'),
                'options' => array(
                                'blog-normal' => esc_html__('Boxed', 'diopter'),
                                'blog-wide' => esc_html__('Wide', 'diopter'),
                                'blog-fullwidth' => esc_html__('Fullwidth', 'diopter'),
                 ), //Must provide key => value pairs for select options
                'default' => 'blog-wide'
            ),
            
            array(
                'id' => 'blog-single-sidebar-width',
                'type' => 'select',
                'title' => esc_html__('Single Sidebar Width', 'diopter'),
                'subtitle' => esc_html__( 'Based on Bootstrap 12 columns.', 'diopter' ),
                'options' => array(
                                '2' => esc_html__('2 Columns', 'diopter'),
                                '3' => esc_html__('3 Columns', 'diopter'),
                                '4' => esc_html__('4 Columns', 'diopter'),
                                '5' => esc_html__('5 Columns', 'diopter'),
                                '6' => esc_html__('6 Columns', 'diopter'),
                 ), //Must provide key => value pairs for select options
                'default' => '4'
            ),

            array(
                'id'       => 'blog_single_title',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Title', 'diopter' ),
                'default'  => false,
            ),
            array(
                'id'       => 'blog_featured_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Featured image', 'diopter' ),
                'default'  => true,
            ),
            
            array(
                'id'       => 'blog_date_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Date', 'diopter' ),
                'default'  => true,
            ),
            array(
                'id'       => 'blog_cats_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Categories', 'diopter' ),
                'default'  => true,
            ),
            array(
                'id'       => 'blog_tags_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Tags', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id'       => 'blog_author_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show Author Block', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id'        => 'blog_show_share',
                'type'      => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'     => esc_html__( 'Show Share Post', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id'        => 'blog_single_related',
                'type'      => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'     => esc_html__( 'Show Related Posts', 'diopter' ),
                'default'  => true,
            ),

            array(
                'id' => 'blog_related_count',
                'type' => 'text',
                'title' => esc_html__('Related Posts Count', 'diopter'),
                
                'default' => '3'
            ),
            
            array(
                'id'       => 'blog_single_navigation',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'    => esc_html__( 'Show posts navigation', 'diopter' ),
                'default'  => true,
            ),
            array(
                'id'        => 'blog_single_nav_same_term',
                'type'      => 'switch',
                'on'        => esc_html__('Yes','diopter'),
                'off'       => esc_html__('No','diopter'),
                'title'     => esc_html__( 'Next/Prev posts should be in same category', 'diopter' ),
                'default'  => false,
            ),
            array(
                'id' => 'blog_list_link',
                'type' => 'text',
                'title' => esc_html__('Blog List Link', 'diopter'),
                'desc' => esc_html__('Link for blog list icon on single blog post page.', 'diopter'),
                'default' => ''
            ),


              
        ),
    ));


    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Protected Post Page Options', 'diopter'),
        'id'         => 'protected_post_page_options',
        'subsection' => false,
        'icon'       => 'fa fa-lock',
        'fields' => array(
            
            array(
                'id' => 'password_page_bg',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Background Image', 'diopter'),
                'desc' => esc_html__('This background image will be used in protected post page.', 'diopter'),
                'default' => array('url' => get_template_directory_uri().'/images/bg/6.jpg'),
            ),
            array(
                'id' => 'password_page_intro',
                'type' => 'textarea',
                'title' => esc_html__('Additional Message', 'diopter'),
                'default' => ''
            ),
            array(
                'id' => 'password_page_home_link',
                'type' => 'text',
                'title' => esc_html__('Back Home Link', 'diopter'),
                'default' => esc_url( home_url('/' ) )
            ),
            
            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('404 Page', 'diopter'),
        'id'         => '404-intro-text-settings',
        'subsection' => false,
        'icon'       => 'fa fa-info-circle',
        'fields' => array(
            
            array(
                'id' => 'bg404',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('404 Page Background Image', 'diopter'),
                'desc' => esc_html__('This image will be used for background image in 404 page.', 'diopter'),
                'default' => array('url' => get_template_directory_uri().'/images/bg/6.jpg'),
            ),
            array(
                'id' => '404_intro',
                'type' => 'textarea',
                'title' => esc_html__('404 Page Message', 'diopter'),
                
                'default' => 'Page you are looking for - not found'
            ),
            array(
                'id' => 'back_home_link',
                'type' => 'text',
                'title' => esc_html__('Back Home Link', 'diopter'),
                'default' => esc_url( home_url('/' ) )
            ),
            
            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Custom Code', 'diopter'),
        'id'         => 'custom-code',
        'subsection' => false,
        'desc'       => esc_html__( 'You can use Firebug - Firefox add-on to adjust your WordPress site\'s style. For more detail please read this tutorial:', 'diopter' ) .'<a href="'.esc_url('https://www.tipsandtricks-hq.com/how-to-use-firebug-to-modify-your-wordpress-sites-css-video-tutorial-4037').'" target="_blank">How to Use Firebug to Modify Your WordPress Site\'s CSS (Video Tutorial)</a>',
        'icon'       => 'fa fa-css3',
        'fields' => array(
            array(
                'id' => 'custom-css',
                'type' => 'ace_editor',
                'title' => esc_html__('CSS Code - Large Desktop View', 'diopter'),
                'subtitle' => esc_html__('Paste your CSS code here.', 'diopter'),
                'mode' => 'css',

                'full_width'=>false,
                'theme' => 'monokai',
                'default' => ""
            ),
            array(
                'id' => 'custom-css-medium',
                'type' => 'ace_editor',
                'title' => esc_html__('CSS Code - Medium Desktop View', 'diopter'),
                'subtitle' => esc_html__('Paste your CSS code here.', 'diopter'),
                'mode' => 'css',
                'full_width'=>false,
                'theme' => 'monokai',
                'default' => ""
            ),
            array(
                'id' => 'custom-css-tablet',
                'type' => 'ace_editor',
                'title' => esc_html__('CSS Code - Tablet View', 'diopter'),
                'subtitle' => esc_html__('Paste your CSS code here.', 'diopter'),
                'mode' => 'css',
                'full_width'=>false,
                'theme' => 'monokai',
                'default' => ""
            ),
            array(
                'id' => 'custom-css-mobile',
                'type' => 'ace_editor',
                'title' => esc_html__('CSS Code - Mobile View', 'diopter'),
                'subtitle' => esc_html__('Paste your CSS code here.', 'diopter'),
                'mode' => 'css',
                'full_width'=>false,
                'theme' => 'monokai',
                'default' => ""
            ),
            
        ),
    ) );

    /*
     * <--- END SECTIONS
     */

    /*
     *
     * YOU MUST PREFIX THE FUNCTIONS BELOW AND ACTION FUNCTION CALLS OR ANY OTHER CONFIG MAY OVERRIDE YOUR CODE.
     *
     */

    /*
    *
    * --> Action hook examples
    *
    */

    // If Redux is running as a plugin, this will remove the demo notice and links
    // add_action( 'redux/loaded', 'remove_demo' );


    add_filter( "redux/" . $opt_name . "/field/class/thumbnail_size", "overload_thumbnail_size_field_path" ); // Adds the local field

    function overload_thumbnail_size_field_path($field) {

        return get_template_directory().'/includes/redux_add_fields/field_thumbnail_size.php';
    }

    function newPanelIconFont() {
        // Uncomment this to remove elusive icon from the panel completely
     
        wp_register_style(
            'redux-font-awesome',
            get_template_directory_uri().'/css/font-awesome-redux-panel.min.css',
            array(),
            time(),
            'all'
        );  
        wp_enqueue_style( 'redux-font-awesome' );
    }
    // This example assumes the opt_name is set to redux_demo.  Please replace it with your opt_name value.
    add_action( "redux/page/" . $opt_name . "/enqueue", 'newPanelIconFont' );


    /**
     * This is a test function that will let you see when the compiler hook occurs.
     * It only runs if a field    set with compiler=>true is changed.
     * */
    if ( ! function_exists( 'compiler_action' ) ) {
        function compiler_action( $options, $css, $changed_values ) {
            echo '<h1>The compiler hook has run!</h1>';
            echo "<pre>";
            print_r( $changed_values ); // Values that have changed since the last save
            echo "</pre>";
        }
    }

    /**
     * Custom function for the callback validation referenced above
     * */
    if ( ! function_exists( 'redux_validate_callback_function' ) ) {
        function redux_validate_callback_function( $field, $value, $existing_value ) {
            $error   = false;
            $warning = false;

            //do your validation
            if ( $value == 1 ) {
                $error = true;
                $value = $existing_value;
            } elseif ( $value == 2 ) {
                $warning = true;
                $value   = $existing_value;
            }

            $return['value'] = $value;

            if ( $error == true ) {
                $return['error'] = $field;
                $field['msg']    = 'your custom error message';
            }

            if ( $warning == true ) {
                $return['warning'] = $field;
                $field['msg']      = 'your custom warning message';
            }

            return $return;
        }
    }

    /**
     * Custom function for the callback referenced above
     */
    if ( ! function_exists( 'redux_my_custom_field' ) ) {
        function redux_my_custom_field( $field, $value ) {
            print_r( $field );
            echo '<br/>';
            print_r( $value );
        }
    }

    /**
     * Custom function for filtering the sections array. Good for child themes to override or add to the sections.
     * Simply include this function in the child themes functions.php file.
     * NOTE: the defined constants for URLs, and directories will NOT be available at this point in a child theme,
     * so you must use get_template_directory_uri() if you want to use any of the built in icons
     * */
    if ( ! function_exists( 'dynamic_section' ) ) {
        function dynamic_section( $sections ) {
            //$sections = array();
            $sections[] = array(
                'title'  => esc_html__( 'Section via hook', 'diopter' ),
                'desc'   => wp_kses(__( '<p class="description">This is a section created by adding a filter to the sections array. Can be used by child themes to add/remove sections from the options.</p>', 'diopter' ),array('p'=>array('class'=>array())) ),
                'icon'   => 'el el-paper-clip',
                // Leave this as a blank section, no options just some intro text set above.
                'fields' => array()
            );

            return $sections;
        }
    }

    /**
     * Filter hook for filtering the args. Good for child themes to override or add to the args array. Can also be used in other functions.
     * */
    if ( ! function_exists( 'change_arguments' ) ) {
        function change_arguments( $args ) {
            //$args['dev_mode'] = true;

            return $args;
        }
    }

    /**
     * Filter hook for filtering the default value of any given field. Very useful in development mode.
     * */
    if ( ! function_exists( 'change_defaults' ) ) {
        function change_defaults( $defaults ) {
            $defaults['str_replace'] = 'Testing filter hook!';

            return $defaults;
        }
    }

    /**
     * Removes the demo link and the notice of integrated demo from the redux-framework plugin
     */
    if ( ! function_exists( 'remove_demo' ) ) {
        function remove_demo() {
            // Used to hide the demo mode link from the plugin page. Only used when Redux is a plugin.
            if ( class_exists( 'ReduxFrameworkPlugin' ) ) {
                remove_filter( 'plugin_row_meta', array(
                    ReduxFrameworkPlugin::instance(),
                    'plugin_metalinks'
                ), null, 2 );

                // Used to hide the activation notice informing users of the demo panel. Only used when Redux is a plugin.
                remove_action( 'admin_notices', array( ReduxFrameworkPlugin::instance(), 'admin_notices' ) );
            }
        }
    }
