<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
?>
<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>"/>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
        <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
     
        <link rel="shortcut icon" href="<?php echo esc_url( diopter_global_var('favicon','url',true) );?>"/>
        <?php } ?>
        
        <?php    
    
        wp_head(); ?>
    </head>
    <body <?php body_class();?>>
        <?php if( diopter_global_var("show_loader") ):?>
        <div id="diopter-loader" class="loader-holder">
            <div class="cssload-container">
                <div class="cssload-speeding-wheel"></div>
            </div>
        </div>
        <div id="main">
        <?php else :?>
        <div id="main" class="is-hide-loader">
        <?php endif;?>
            <div id="wrapper">
                <?php diopter_echo_vc_custom_styles();?>
                <div class="content-holder" id="diopter-content-wrapper">
                
                    <div class="diopter-content full-height home-landing-content" >
                        




