<?php
//http://proteusthemes.github.io/one-click-demo-import/
//https://wordpress.org/plugins/one-click-demo-import/

function diopter_import_files() {
  return array(
    array(
      'import_file_name'             => esc_html__('Diopter theme - Full Demo Content (widgets included)','diopter' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/diopter-all-content.xml',
      'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/demowp-widgets.wie',
      'import_notice'                => esc_html__( 'After you import this demo, you will have to setup the front-page from Settings -> Reading screen and menu from Appearance -> Menus screen.', 'diopter' ),
    ),

    array(
      'import_file_name'             => esc_html__('Diopter theme - Media Files','diopter' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/diopter-media.xml',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Media menu', 'diopter' ),
    ),

    array(
      'import_file_name'             => esc_html__('Diopter theme - Pages','diopter' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/diopter-page.xml',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Pages menu', 'diopter' ),
    ),

    array(
      'import_file_name'             => esc_html__('Diopter theme - Portfolios','diopter' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/diopter-portfolios.xml',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Diopter Portfolios menu', 'diopter' ),
    ),

    array(
      'import_file_name'             => esc_html__('Diopter theme - Posts','diopter' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/diopter-post.xml',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Posts menu', 'diopter' ),
    ),

    

    array(
      'import_file_name'             => esc_html__('Diopter theme - Contact Forms','diopter' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/diopter-contactform.xml',
      'import_notice'                => esc_html__( 'This demo will be downloaded into Contact menu', 'diopter' ),
    ),

    

    array(
      'import_file_name'             => esc_html__('Diopter theme - Testimonials','diopter' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/diopter-testimonials.xml',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Diopter Testimonials menu', 'diopter' ),
    ),
    array(
      'import_file_name'             => esc_html__('Diopter theme - Members','diopter' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/diopter-members.xml',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Diopter Members menu', 'diopter' ),
    ),

  );
}



add_filter( 'pt-ocdi/import_files', 'diopter_import_files' );