jQuery(window).load(function() {
    "use strict";
    if(jQuery("#diopter-loader").length){
        jQuery(".loader-holder").fadeOut(500, function() {
            jQuery("#main").animate({
                opacity: "1"
            }, 500);
            contanimshow();
        });
    }else{
        contanimshow();
    }
});
    //   all ------------------
function initDiopter() {
    "use strict";
    var bgImage = jQuery(".bg,.back-link,.password-page-bg");
    bgImage.each(function(a) {
        if (jQuery(this).attr("data-bg")) jQuery(this).css("background-image", "url(" + jQuery(this).data("bg") + ")");
    });
    // Owl carousel ------------------
    jQuery(".single-slider").each(function(){

        var ss = jQuery(this);
        var ss_ops = ss.data('options') ? ss.data('options') : {smartSpeed:1300,autoplay:false,autoplaySpeed: 3600,items:1,autoplayTimeout:4000,responsive:false,autoHeight:true,loop:true,dots:false,center:false,autoWidth:false};
        if(ss_ops.responsive){
            var respArr = ss_ops.responsive.split(',');
            ss_ops.responsive = {};
            for (var i = 0; i < respArr.length ; i++){
                var tempVal = respArr[i].split(':');
                ss_ops.responsive[tempVal[0]] = { 
                    items: parseInt(tempVal[1])
                };

            }
        }else{
            ss_ops.responsive = false;
        }
        ss.owlCarousel({
            margin: 0,
            items: ss_ops.items,
            smartSpeed: ss_ops.smartSpeed,
            loop: ss_ops.loop,
            nav: false,
            dots:ss_ops.dots,
            autoHeight: ss_ops.autoHeight,
            autoplay: ss_ops.autoplay,
            autoplayTimeout: ss_ops.autoplayTimeout,
            autoplaySpeed: ss_ops.autoplaySpeed,
            responsive:ss_ops.responsive,
            center:ss_ops.center,
            autoWidth:ss_ops.autoWidth,
        });
        jQuery(".single-slider-holder a.next-slide").on("click", function() {
            jQuery(this).closest(".single-slider-holder").find(ss).trigger("next.owl.carousel");
            return false;
        });
        jQuery(".single-slider-holder a.prev-slide").on("click", function() {
            jQuery(this).closest(".single-slider-holder").find(ss).trigger("prev.owl.carousel");
            return false;
        });
            
    });

    jQuery(".fscs").each(function(){
        var c = jQuery(this);
        var mwh = c.data('mwh');
        var kb = c.data('keyb');
        var c_df = {smartSpeed:1200,autoplay:false,autoplaySpeed: 3600,items:1,autoplayTimeout:4000,responsive:false,autoHeight:false,loop:true,dots:true,center:false,autoWidth:false,animateOut: false,animateIn: false};
        var c_ops = c.data('options') ? c.data('options') : c_df;
        c_ops = jQuery.extend({}, c_df, c_ops);
        if(c_ops.responsive){
            var respArr = c_ops.responsive.split(',');
            c_ops.responsive = {};
            for (var i = 0; i < respArr.length ; i++){
                var tempVal = respArr[i].split(':');
                c_ops.responsive[tempVal[0]] = { 
                    items: parseInt(tempVal[1]),
                };

            }
        }else{
            c_ops.responsive = false;
        }
        c.imagesLoaded(function(){
            c.owlCarousel({
                margin: 0,
                items: c_ops.items,
                smartSpeed: c_ops.smartSpeed,
                loop: c_ops.loop,
                nav: false,
                dots:c_ops.dots,
                autoHeight: c_ops.autoHeight,
                autoplay: c_ops.autoplay,
                autoplayTimeout: c_ops.autoplayTimeout,
                autoplaySpeed: c_ops.autoplaySpeed,
                responsive:c_ops.responsive,
                center:c_ops.center,
                autoWidth:c_ops.autoWidth,
                animateOut: c_ops.animateOut,
                animateIn: c_ops.animateIn,
                onInitialized: function() {
                    jQuery(".num-holder3").text("1" + " / " + this.items().length);
                }
            }).on("changed.owl.carousel", function(a) {
                var b = --a.item.index, a = a.item.count;
                jQuery(".num-holder3").text((1 > b ? b  + a : b > a ? b - a : b  )  + " / " + a);
            });
        });

        if(mwh == '1'){
            c.on("translated.owl.carousel", function(a) {
                full_in_mousewheel_pro = false;
            });
            var full_in_mousewheel_pro = false;
            c.on("mousewheel", ".owl-stage", function(a) {
                if(!full_in_mousewheel_pro) {
                    full_in_mousewheel_pro = true;
                    if (a.deltaY < 0) c.trigger("next.owl"); else c.trigger("prev.owl");
                }
                a.preventDefault();
            });
        }

        if(kb == '1'){
            jQuery(document).on('keydown.fscs-carousel-hz', function(e) {
                if(e.keyCode == 37) {
                    c.trigger("prev.owl");
                };
                if(e.keyCode == 39) {
                    c.trigger("next.owl");
                };
            });
        }

        jQuery(".hero-slider-holder a.next-slide").on("click", function() {
            jQuery(this).closest(".hero-slider-holder").find(c).trigger("next.owl.carousel");
            return false;
        });
        jQuery(".hero-slider-holder a.prev-slide").on("click", function() {
            jQuery(this).closest(".hero-slider-holder").find(c).trigger("prev.owl.carousel");
            return false;
        });
    });
    jQuery(".slideshow-slider").each(function(){
        var sync4 = jQuery(this);
        var sync4_df = {items:1,autoplayTimeout:4000,autoplaySpeed:3600};
        var sync4_ops = sync4.data('options') ? sync4.data('options') : sync4_df;
        sync4_ops = jQuery.extend({}, sync4_df, sync4_ops);
        sync4.owlCarousel({
            loop: true,
            margin: 0,
            nav: false,
            mouseDrag:false,
            touchDrag:false,
            autoplay: true,
            autoplayTimeout: sync4_ops.autoplayTimeout,
            autoplayHoverPause: false,
            autoplaySpeed: sync4_ops.autoplaySpeed,
            items: sync4_ops.items,
            dots: false,
            animateOut: "fadeOut",
            animateIn: "fadeIn",
            autoHeight: false,
            onInitialized: function() {
                jQuery(".num-holder3").text("1" + " / " + this.items().length);
               }
            }).on("changed.owl.carousel", function(a) {
            var b = --a.item.index, a = a.item.count;
            jQuery(".num-holder3").text((1 > b ? b  + a : b > a ? b - a : b  )  + " / " + a);
        });
    });

    jQuery('.inline-carousel').each(function(){
        var sc = jQuery(this);
        var sc_ops = sc.data('options') ? sc.data('options') : {smartSpeed:1300,autoplay:false,autoplaySpeed: 3600,items:4,autoplayTimeout:4000,responsive:false,autoHeight:false,loop:true,dots:false,center:false,autoWidth:false};
        if(sc_ops.responsive){
            var respArr = sc_ops.responsive.split(',');
            sc_ops.responsive = {};
            for (var i = 0; i < respArr.length ; i++){
                var tempVal = respArr[i].split(':');
                sc_ops.responsive[tempVal[0]] = { 
                    items: parseInt(tempVal[1])
                };

            }
        }else{
            sc_ops.responsive = false;
        }
        sc.owlCarousel({
            margin: 0,
            items: sc_ops.items,
            smartSpeed: sc_ops.smartSpeed,
            loop: sc_ops.loop,
            nav: false,
            dots:sc_ops.dots,
            autoHeight: sc_ops.autoHeight,
            autoplay: sc_ops.autoplay,
            autoplayTimeout: sc_ops.autoplayTimeout,
            autoplaySpeed: sc_ops.autoplaySpeed,
            responsive:sc_ops.responsive,
            center:sc_ops.center,
            autoWidth:sc_ops.autoWidth,
        });

        jQuery(".inline-carousel-inner  a.next-slide").on("click", function() {
            jQuery(this).closest(".inline-carousel-inner ").find(sc).trigger("next.owl.carousel");
            return false;
        });
        jQuery(".inline-carousel-inner  a.prev-slide").on("click", function() {
            jQuery(this).closest(".inline-carousel-inner ").find(sc).trigger("prev.owl.carousel");
            return false;
        });
    });
    
    var gR = jQuery(".gallery_horizontal"), w = jQuery(window);
    var gR_ops = gR.data('options') ? gR.data('options') : {smartSpeed:1300,autoplay:false,items:3,loop:true,center:true,autoWidth:true,thumbs:true};

    function initGalleryhorizontal() {
        var  c = jQuery(".gallery_horizontal"), ch = c.outerHeight();
        var d = 0;
        if(!jQuery(".bvp").hasClass('hide-cpanel')) d = jQuery(".bvp").outerHeight();
        c.find("img").css({
            height: ch - d
        });

        // if (gR.find(".owl-stage-outer").length) {
        //     // gR.trigger("destroy.owl.carousel");
        //     // gR.find(".horizontal_item").unwrap();

        //     gR.trigger('refresh.owl.carousel');
        // }
        
        if (w.width() > 1036) {
            if (gR.find(".owl-stage-outer").length) {
                gR.trigger('refresh.owl.carousel');
            }

            gR.owlCarousel({
                autoWidth: gR_ops.autoWidth,
                margin: 10,
                items: gR_ops.items,
                smartSpeed: gR_ops.smartSpeed,
                loop: gR_ops.loop,
                center: gR_ops.center,
                autoplay: gR_ops.autoplay,
                nav: false,
                dots:false,
                thumbs: gR_ops.thumbs,
                thumbImage: true,
                thumbContainerClass: "owl-thumbs",
                thumbItemClass: "owl-thumb-item",
                onInitialized: function() {
                    if(jQuery(".owl-carousel").find(".active.center").length){
                        var c = jQuery(".owl-carousel").find(".active.center").find(".horizontal_item");
                    }else{
                        var c = jQuery(".owl-carousel").find(".active").find(".horizontal_item");
                    }
                    
                    var e = c.data("phdesc");
                    var f = c.data("phname");
                    if (e) jQuery(".caption").html("<h4>" + f + "</h4><p>" + e + "</p>");
                      jQuery(".num-holder2").text("1" + " / " + this.items().length);
                }
            });
            // .on("changed.owl.carousel", function(a) {
            //     var b = --a.item.index-1, a = a.item.count;
            //     jQuery(".num-holder2").text((1 > b ? b  + a : b > a ? b - a : b  )  + " / " + a);
            // });

            var in_mousewheel_pro = false;
            
            gR.on("mousewheel", ".owl-stage", function(a) {

                if(!in_mousewheel_pro) {
                    
                    in_mousewheel_pro = true;
                    if (a.deltaY < 0) gR.trigger("next.owl"); else gR.trigger("prev.owl");
                }

                a.preventDefault();
            });

            gR.on("translated.owl.carousel", function(a) {
                var curr = a.item.index +1;
                
                if(jQuery(this).find(".active.center").length){
                    var e = jQuery(this).find(".active.center").find(".horizontal_item");
                    if(jQuery(this).find(".cloned").length){
                        if(jQuery(this).find(".owl-item:not(.cloned)").length){
                            jQuery(this).find(".owl-item:not(.cloned)").each(function(index){
                                if(jQuery(this).is('.active.center')){
                                    curr = ++index;
                                    return false;
                                } 
                            });
                        }
                    }
                }else{
                    var e = jQuery(this).find(".active").find(".horizontal_item");
                    if(jQuery(this).find(".cloned").length){
                        if(jQuery(this).find(".owl-item:not(.cloned)").length){
                            jQuery(this).find(".owl-item:not(.cloned)").each(function(index){
                                if(jQuery(this).is('.active')){
                                    curr = ++index;
                                    return false;
                                } 
                            });
                        }
                    }
                }
                jQuery(".num-holder2").text(curr + " / " + a.item.count);
                var b = e.data("phdesc");
                var c = e.data("phname");
                if (b) {

                    jQuery(".caption").html("<h4>" + c + "</h4><p>" + b + "</p>");
                    jQuery(".caption h4 , .caption p").addClass("remcap");
                    setTimeout(function() {
                        jQuery(".caption h4 , .caption p").removeClass("remcap");
                    }, 200);
                }

                in_mousewheel_pro = false;

            });
            jQuery(".resize-carousel-holder a.next-slide").on("click", function() {
                jQuery(this).closest(".resize-carousel-holder").find(gR).trigger("next.owl.carousel");
                return false;
            });
            jQuery(".resize-carousel-holder a.prev-slide").on("click", function() {
                jQuery(this).closest(".resize-carousel-holder").find(gR).trigger("prev.owl.carousel");
                return false;
            });


        }
        else{
            if (gR.find(".owl-stage-outer").length) {
                gR.trigger("destroy.owl.carousel");
            }
            gR.find('.horizontal_item').each(function(){
                var that = jQuery(this);
                var e = that.data("phdesc");
                var f = that.data("phname");
                if (e) jQuery('img', this).after("<div class=\"mobile-img-desc\"><h4>" + f + "</h4><p>" + e + "</p></div>");
            });
        }

    }
    if (gR.length) {
        gR.imagesLoaded( function() {
            initGalleryhorizontal();
            w.on("resize.destroyhorizontal", function() {
                setTimeout(initGalleryhorizontal, 150);
            });
        });
    }

    jQuery('.ad-thumbs .bg').each(function () {
        var daim = jQuery(this).data("bg");
        jQuery(this).append("<img>");
        jQuery(this).find("img").attr('src',daim);

    });
    var totalItems = jQuery('.hero-wrap-image-slider .owl-item').length;
    jQuery('.totnaum').html(totalItems);
    var gf = jQuery(".full-screen-gallery") ;
    var gf_ops = gf.data('options') ? gf.data('options') : {smartSpeed:1300,autoplay:false,items:1,loop:true,center:false,autoWidth:false,thumbs:false};
    gf.owlCarousel({
        autoWidth: gf_ops.autoWidth,
        margin: 0,
        items: gf_ops.items,
        smartSpeed: gf_ops.smartSpeed,
        loop: gf_ops.loop,
        autoplay: gf_ops.autoplay,
        center: gf_ops.center,
        nav: false,
        thumbs: gf_ops.thumbs,
        responsive: {320:1,768:1},
        thumbImage: true,
        thumbContainerClass: "owl-thumbs",
        thumbItemClass: "owl-thumb-item",
        onInitialized: function() {
            var cf = jQuery(".owl-carousel").find(".active").find(".horizontal_item");
            var ef = cf.data("phdesc");
            var ff = cf.data("phname");
            if (ef) jQuery(".caption").html("<h4>" + ff + "</h4><p>" + ef + "</p>");
              jQuery(".num-holder2").text("1" + " / " + this.items().length);
        }
    });

    jQuery(".resize-carousel-holder a.next-slide").on("click", function() {
        jQuery(this).closest(".resize-carousel-holder").find(gf).trigger("next.owl.carousel");
        return false;
    });
    jQuery(".resize-carousel-holder a.prev-slide").on("click", function() {
        jQuery(this).closest(".resize-carousel-holder").find(gf).trigger("prev.owl.carousel");
        return false;
    });

    gf.on("translated.owl.carousel", function(a) {
        var curr = a.item.index +1;
                
        if(jQuery(this).find(".active.center").length){
            var e = jQuery(this).find(".active.center").find(".horizontal_item");
            if(jQuery(this).find(".cloned").length){
                if(jQuery(this).find(".owl-item:not(.cloned)").length){
                    jQuery(this).find(".owl-item:not(.cloned)").each(function(index){
                        if(jQuery(this).is('.active.center')){
                            curr = ++index;
                            return false;
                        } 
                    });
                }
            }
        }else{
            var e = jQuery(this).find(".active").find(".horizontal_item");
            if(jQuery(this).find(".cloned").length){
                if(jQuery(this).find(".owl-item:not(.cloned)").length){
                    jQuery(this).find(".owl-item:not(.cloned)").each(function(index){
                        if(jQuery(this).is('.active')){
                            curr = ++index;
                            return false;
                        } 
                    });
                }
            }
        }
        jQuery(".num-holder2").text(curr + " / " + a.item.count);

        var b = e.data("phdesc");
        var c = e.data("phname");
        if (b) {
            jQuery(".caption").html("<h4>" + c + "</h4><p>" + b + "</p>");
            jQuery(".caption h4 , .caption p").addClass("remcap");
            setTimeout(function() {
           jQuery(".caption h4 , .caption p").removeClass("remcap");
        }, 200);
        }
        // var   a = a.item.count;
        // var b = jQuery(".full-screen-gallery .owl-item.active" ).index() + 1 ;
        // jQuery(".num-holder2").text((b) + " / " + a);

        gf_in_mousewheel_pro = false;
    });
    var gf_in_mousewheel_pro = false;
            
    gf.on("mousewheel", ".owl-stage", function(a) {
        if(!gf_in_mousewheel_pro) {
            
            gf_in_mousewheel_pro = true;
            if (a.deltaY < 0) gf.trigger("next.owl"); else gf.trigger("prev.owl");
        }

        a.preventDefault();
    });
    jQuery('.testimonials-slider').each(function(){
        var tsh = jQuery(this);
        var tsh_ops = tsh.data('options') ? tsh.data('options') : {smartSpeed:1300,autoplay:false,autoplaySpeed: 3600,items:1,autoplayTimeout:4000,responsive:false,autoHeight:true,loop:true,dots:false,center:false,autoWidth:false};
        if(tsh_ops.responsive){
            var respArr = tsh_ops.responsive.split(',');
            tsh_ops.responsive = {};
            for (var i = 0; i < respArr.length ; i++){
                var tempVal = respArr[i].split(':');
                tsh_ops.responsive[tempVal[0]] = { 
                    items: parseInt(tempVal[1])
                };

            }
        }else{
            tsh_ops.responsive = false;
        }
        tsh.owlCarousel({
            margin: 0,
            items: tsh_ops.items,
            smartSpeed: tsh_ops.smartSpeed,
            loop: tsh_ops.loop,
            nav: false,
            dots:tsh_ops.dots,
            autoHeight: tsh_ops.autoHeight,
            autoplay: tsh_ops.autoplay,
            autoplayTimeout: tsh_ops.autoplayTimeout,
            autoplaySpeed: tsh_ops.autoplaySpeed,
            responsive:tsh_ops.responsive,
            center:tsh_ops.center,
            autoWidth:tsh_ops.autoWidth,
            onInitialized: function() {
                tsh.closest('.testimonials-slider-holder').find('.teti-counter').text("1" + " / " + this.items().length);
                
            }
        }).on("changed.owl.carousel", function(a) {
            var b = --a.item.index, a = a.item.count;
            tsh.closest('.testimonials-slider-holder').find('.teti-counter').text((1 > b ? b  + a : b > a ? b - a : b  )  + " / " + a);
        });

        jQuery(".testimonials-slider-holder a.next-slide").on("click", function() {
            jQuery(this).closest(".testimonials-slider-holder").find(tsh).trigger("next.owl.carousel");
        });
        jQuery(".testimonials-slider-holder a.prev-slide").on("click", function() {
            jQuery(this).closest(".testimonials-slider-holder").find(tsh).trigger("prev.owl.carousel");
        });
    });
    jQuery(".full-width-carousel").each(function(){
        var fwc = jQuery(this),
            atp = fwc.data("atp") ? fwc.data("atp"): false , 
            its= fwc.data("its") ? fwc.data("its") : 1, 
            cen= fwc.data("cen") ? fwc.data("cen") : true ,
            ath= fwc.data("ath") ? fwc.data("ath") : false;
        var resp = fwc.data("resp")? fwc.data("resp") : "0:1,600:2,1024:3";
        if(resp){
            var respArr = resp.split(',');
            var responsive = {};
            for (var i = 0; i < respArr.length ; i++){
                var tempVal = respArr[i].split(':');
                responsive[tempVal[0]] = { 
                    items: parseInt(tempVal[1]),
                };

            }
        }

        fwc.owlCarousel({
            margin: 0,
            items: its,
            smartSpeed: 1300,
            loop: true,
            dots: false,
            nav: false,
            center:cen,
            responsive: responsive,
            autoHeight: ath,
            autoplay: atp,
     
        }) ;

        jQuery(".full-width-carousel-holder a.next-slide").on("click", function() {
            jQuery(this).closest(".full-width-carousel-holder").find(fwc).trigger("next.owl.carousel");
            return false;
        });
        jQuery(".full-width-carousel-holder a.prev-slide").on("click", function() {
            jQuery(this).closest(".full-width-carousel-holder").find(fwc).trigger("prev.owl.carousel");
            return false;
        });

    });
    function showpanel(){
        jQuery(".anim-panel").animate({
            bottom:20+"px"});
        jQuery(".close-panel").addClass("isPan");
    }
    function hidepanel(){
        jQuery(".anim-panel").animate({
            bottom:-54+"px"});
        jQuery(".close-panel").removeClass("isPan");
    }
    jQuery(".close-panel").on("click", function() {
        jQuery(this).toggleClass("hidpan");
        if (jQuery(this).hasClass("isPan")) hidepanel(); else showpanel();
    });
    //   lightGallery ------------------
    jQuery(".single-popup-image").lightGallery({
        selector: "this",
        cssEasing: "cubic-bezier(0.25, 0, 0.25, 1)",
        download: false,
        counter: false
    });
    function initLightGallery(){
        jQuery(".lightgallery").each(function(){
            var $lg = jQuery(this), dlt = $lg.data("looped");
            if( $lg.data('lightGallery') != undefined){
                $lg.data('lightGallery').destroy(true);
            }
            $lg.lightGallery({
                selector: ".lightgallery a.popup-image",
                cssEasing: "cubic-bezier(0.25, 0, 0.25, 1)",
                download: false,
                loop: dlt,
                //keyPress:false,
                //mousewheel:false,

            });
            $lg.on("onBeforeNextSlide.lg", function(a) {
                gR.trigger("next.owl.carousel");
                gf.trigger("next.owl.carousel");
                jQuery('.single-slider').trigger("next.owl.carousel");
            });
            $lg.on("onBeforePrevSlide.lg", function(a) {
                gR.trigger("prev.owl.carousel");
                gf.trigger("prev.owl.carousel");
                jQuery('.single-slider').trigger("prev.owl.carousel");
            });
        });
        
    }
    initLightGallery();


    function initFolioGal(){
        if(jQuery(".folio-gallery").length){
            jQuery(".folio-gallery").each(function(){
                var $folg = jQuery(this), dlt = $folg.data("looped");
                if( $folg.data('lightGallery') != undefined){
                    $folg.data('lightGallery').destroy(true);
                }
                $folg.lightGallery({
                    selector: ".folio-gallery .portfolio_item:not([style*='display: none']) .folio-popup-gallery,.folio-gallery .gallery-item:not([style*='display: none']) .folio-popup-gallery",
                    cssEasing: "cubic-bezier(0.25, 0, 0.25, 1)",
                    download: false,
                    loop: dlt,
                    thumbnail:false,
                    youtubePlayerParams: { modestbranding: 1, showinfo: 0, controls: 1 },
                    vimeoPlayerParams: { byline : 0, portrait : 0, color : 'CCCCCC' },
                    dailymotionPlayerParams: {}
                });
            });
        }
    }
    initFolioGal();
        //   Thumbnails ------------------
    var ts = jQuery(".show-thumbs").data("textshow");
    var th = jQuery(".show-thumbs").data("texthide");
    jQuery(".show-thumbs").text(ts);
    function showThumbs() {
        jQuery(".show-thumbs").removeClass("vis-t");
        jQuery(".owl-thumbs").addClass("vis-thumbs");
        jQuery(".show-thumbs").text(th);
        jQuery(".resize-carousel-holder , .buttons-holder").addClass("ogm");
        setTimeout(function() {
            jQuery(".owl-thumb-item").addClass("himask");
        }, 650);
        hideDet();
    }
    function hideThumbs() {
        jQuery(".show-thumbs").text(ts);
        jQuery(".show-thumbs").addClass("vis-t");
        jQuery(".owl-thumbs").removeClass("vis-thumbs");
        jQuery(".owl-thumb-item").removeClass("himask");
        jQuery(".resize-carousel-holder , .buttons-holder").removeClass("ogm");
    }
    jQuery(".show-thumbs").on("click", function() {
        if (jQuery(this).hasClass("vis-t")) showThumbs(); else hideThumbs();
        return false;
    });
    jQuery(document).on("click", ".owl-thumb-item", function() {
        hideThumbs();
        return false;
    });
    //   Details ------------------
    function showDet(){
        jQuery(".show-details").removeClass("novisdet");
        jQuery(".show-details").parent().addClass("detshown");
        jQuery(".anim-sb").animate({left:0});
        if(jQuery('body').hasClass('disable-outer-border'))
            jQuery(".resize-carousel-holder,.folio_style7_2_gal_holder").animate({left:350+"px"});
        else
            jQuery(".resize-carousel-holder,.folio_style7_2_gal_holder").animate({left:330+"px"});
        hideThumbs()
    }
    function hideDet(){
        jQuery(".show-details").addClass("novisdet");
        jQuery(".show-details").parent().removeClass("detshown");
        jQuery(".anim-sb").animate({left:-350 + "px"});
        jQuery(".resize-carousel-holder,.folio_style7_2_gal_holder").animate({left:0});
    }


    var fsb_width = _diopter.fsb_width ? parseInt(_diopter.fsb_width) : 350;

if(fsb_width != 350){
    fixed_sidebar.css('width', fsb_width );
    if(is_fixed_left){
        fixed_sidebar.css('left',-fsb_width-120);
    }else{
        fixed_sidebar.css('right',-fsb_width-120);
    }
}

    jQuery(".show-details").on("click", function() {
        if (jQuery(this).hasClass("novisdet")) showDet(); else hideDet();
        return false;
    });
    //   Blog filter ------------------
    jQuery(".blog-btn").on("click", function() {
        jQuery(this).parent(".blog-btn-filter").find("ul").slideToggle(500);
        return false;
    });

    // Isotope ------------------
    function initisotop2() {
        if (jQuery(".gallery-itemss").length) {

            jQuery(".gallery-itemss").each(function(){
                var as = jQuery(this).isotope({
                    itemSelector: ".gallery-ites, .gallery-item-seconds, .gallery-item-threes",
                    percentPosition: true,
                    masonry: {
                        // use outer width of grid-sizer for columnWidth
                        columnWidth: ".grid-sizers, .grid-sizer-seconds, .grid-sizer-threes",
                    },
                    transformsEnabled: true,
                    transitionDuration: "700ms",
                    resizable: true
                });
                as.imagesLoaded(function() {
                    as.isotope("layout");
                });
            });
        }
    }
    initisotop2();
    function n() {
        if (jQuery(".gallery-items").length) {

            jQuery(".gallery-items").each(function(){
                var a = jQuery(this).isotope({
                    itemSelector: ".gallery-item, .gallery-item-second, .gallery-item-three",
                    percentPosition: true,
                    masonry: {
                        // use outer width of grid-sizer for columnWidth
                        columnWidth: ".grid-sizer, .grid-sizer-second, .grid-sizer-three",
                    },
                    transformsEnabled: true,
                    transitionDuration: "700ms",
                    resizable: true
                });
                a.imagesLoaded(function() {
                    a.isotope("layout");
                });
                jQuery(".gallery-filters").on("click", "a.gallery-filter", function(b) {
                    b.preventDefault();
                    var c = jQuery(this).attr("data-filter");
                    a.isotope({
                        filter: c
                    });
                    jQuery(".gallery-filters a.gallery-filter").removeClass("gallery-filter-active");
                    jQuery(this).addClass("gallery-filter-active");
                    if(jQuery(window).width() <= 756 ){
                        jQuery('.gallery-filters').hide();
                    }
                    return false;
                });
                a.isotope("on", "layoutComplete", function(a, b) {
                    var b = a.length;
                    jQuery(".num-album").html(b);

                    jQuery(".hde .gallery-item").each( function() { jQuery(this).hoverdir( {hoverElem: '.hd-box'} ); } );
                    a0();
                    initLightGallery();
                });
                a.on( 'arrangeComplete', function( event, filteredItems ) {
                    initFolioGal();
                } );

                /*infinite scroll*/

                var win = jQuery(window);

                var in_scroll_progress = false;

                var scroll_offset = 0;

                // Each time the user scrolls
                win.scroll(function() {
                    // End of the document reached?
                    /*check for gallery */
                    if(jQuery('.gallery-load-more').length){

                        if(jQuery('.gallery-load-more').scrollTop()){
                            var compare_pos = jQuery('.gallery-load-more').scrollTop();
                        }else{
                            var lm_anchor_pos = jQuery('.gallery-load-more').offset() ;
                            var compare_pos = lm_anchor_pos.top;
                        }

                        if (win.scrollTop() >= compare_pos - win.height() + scroll_offset ) {
                            if(!in_scroll_progress){
                                
                                in_scroll_progress = true;

                                var lm_btn = jQuery('.gallery-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                if(remain == 'yes'){
                                    var grid_hoder = lm_btn.closest('.diopter_images_gallery_wrap').children('.gallery-items');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'diopter_lm_gal',lmore_items:3,images:'',loaded:10};
                                    
                                    lm_btn.closest('.gallery-lmore-holder').css('visibility','visible');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    

                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(d) {
                                            
                                            lm_btn.closest('.gallery-lmore-holder').css('visibility','hidden');
                                            if(d.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.gallery-lmore-holder').remove();

                                            }else if(d.status == 'success'){
                                                a.isotope();
                                               
                                                a.isotope( 'insert', jQuery(d.content) );
                                                
                                                a.imagesLoaded(function() {
                                                    a.isotope("layout");
                                                });

                                                if(d.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.gallery-lmore-holder').remove();
                                                    
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_scroll_progress = false;
                                            
                                        }
                                    });//end ajax


                                }//end remain
                                    
                            }//end in_scroll_progress
                        }//end compare position
                    }
                    /*check for portfolio */
                    if(jQuery('.folio-load-more').length){
                        

                        if(jQuery('.folio-load-more').scrollTop()){
                            var compare_pos = jQuery('.folio-load-more').scrollTop();
                        }else{
                            var lm_btn_pos = jQuery('.folio-load-more').offset() ;
                            var compare_pos = lm_btn_pos.top;
                        }
                        if (win.scrollTop() >= compare_pos - win.height() + scroll_offset ) {

                            if(!in_scroll_progress){
                                
                                in_scroll_progress = true;

                                var lm_btn = jQuery('.folio-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                var grid_hoder = lm_btn.closest('.folio-grid-folios-wrap').children('.gallery-items');
                                var ajaxurl = grid_hoder.data('lm-request');
                                var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'diopter_lm_folio',lmore_items:3};

                                if(remain === 'yes'){

                                    lm_btn.closest('.folio-grid-lmore-holder').css('visibility','visible');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };

                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(d) {
                                         
                                            lm_btn.closest('.folio-grid-lmore-holder').css('visibility','hidden');
                                            if(d.status == 'fail'){
                                                

                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.folio-grid-lmore-holder').remove();

                                            }else if(d.status == 'success'){
                                                
                                                a.isotope();
                                                a.isotope( 'insert', jQuery(d.content) );
                                                
                                                a.imagesLoaded(function() {
                                                    a.isotope("layout");
                                                });

                                                var j = jQuery(".gallery-item").length;
                                                jQuery(".all-album").html(j);

                                                if(d.is_remaining == 'no'){
                            
                                                    
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.folio-grid-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_scroll_progress = false;
                                            
                                        }
                                    });

                                    

                                }

                            }
                        }
                    }

                    
                });
                /*infinite scroll - end */



            });

            
        }
        var c = {
            touchbehavior: true,
            cursoropacitymax: 1,
            cursorborderradius: "6px",
            background: "transparent",
            cursorwidth: "5px",
            cursorborder: "0px",
            cursorcolor: "#292929",
            autohidemode: false,
            bouncescroll: true,
            scrollspeed: 120,
            mousescrollstep: 90,
            grabcursorenabled: false,
            horizrailenabled: true,
            preservenativescrolling: true,
            cursordragontouch: true,
            railpadding: {
                top: -1,
                right: 0,
                left:  0,
                bottom: 0
            }
        };
        jQuery(".p_horizontal_wrap").niceScroll(c);
        var d = jQuery("#portfolio_horizontal_container");
        d.imagesLoaded(function(a, b, e) {
            var f = {
                itemSelector: ".portfolio_item",
                layoutMode: "packery",
                packery: {
                    isHorizontal: true,
                    gutter: 0
                },
                resizable: true,
                transformsEnabled: true,
                transitionDuration: "1000ms",
            };
            var g = {
                itemSelector: ".portfolio_item",
                layoutMode: "packery",
                packery: {
                    isHorizontal: false,
                    gutter: 0
                },
                resizable: true,
                transformsEnabled: true,
                transitionDuration: "700ms"
            };
            if (jQuery(window).width() <= 756) {
                d.isotope(g);
                d.isotope("layout");
                if (jQuery(".p_horizontal_wrap").getNiceScroll()) jQuery(".p_horizontal_wrap").getNiceScroll().remove();

                var win = jQuery(window);

                    var in_hoz_scroll_progress = false;

                    var hoz_scroll_offset = 0;

                    // Each time the user scrolls
                    win.scroll(function() {
                    // End of the document reached?
                    if(jQuery('.hoz-gal-lmore-holder').length){
                        if(jQuery('.hoz-gal-load-more').scrollTop()){
                            var compare_pos = jQuery('.hoz-gal-load-more').scrollTop();
                        }else{
                            var lm_anchor_pos = jQuery('.hoz-gal-load-more').offset() ;
                            var compare_pos = lm_anchor_pos.top;
                        }
                        
                        if ( win.scrollTop() >= compare_pos - win.height() + hoz_scroll_offset ) {

                            if( !in_hoz_scroll_progress ){
                                in_hoz_scroll_progress = true;

                                var lm_btn = jQuery('.hoz-gal-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                
                                if(remain === 'yes'){
                                    var grid_hoder = lm_btn.closest('.p_horizontal_wrap').children('.folio-hoz-gallery');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'diopter_lm_gal_hoz',lmore_items:3,images:'',loaded:5};

                                    lm_btn.closest('.hoz-gal-lmore-holder').addClass('hoz-ver-loading');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(data) {
                                            lm_btn.closest('.hoz-gal-lmore-holder').removeClass('hoz-ver-loading');
                                            if(data.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.hoz-gal-lmore-holder').remove();

                                            }else if(data.status == 'success'){
                                                d.isotope();
                                                d.isotope( 'insert', jQuery(data.content) );
                                                d.imagesLoaded(function() {
                    
                                                    d.isotope("layout");
                                                });
                                                if(data.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.hoz-gal-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_hoz_scroll_progress = false;
                                            
                                        }
                                    });

                                }

                            }

                        }

                    }

                    if(jQuery('.hoz-folio-lmore-holder').length){
                        if(jQuery('.hoz-folio-load-more').scrollTop()){
                            var compare_pos = jQuery('.hoz-folio-load-more').scrollTop();
                        }else{
                            var lm_anchor_pos = jQuery('.hoz-folio-load-more').offset() ;
                            var compare_pos = lm_anchor_pos.top;
                        }
                        
                        if ( win.scrollTop() >= compare_pos - win.height() + hoz_scroll_offset ) {

                            if( !in_hoz_scroll_progress ){
                                in_hoz_scroll_progress = true;

                                var lm_btn = jQuery('.hoz-folio-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                
                                if(remain === 'yes'){
                                    var grid_hoder = lm_btn.closest('.p_horizontal_wrap').children('.folio-hoz-gallery');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'diopter_lm_folio',lmore_items:3};

                                    lm_btn.closest('.hoz-folio-lmore-holder').addClass('hoz-ver-loading');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(data) {
                                            lm_btn.closest('.hoz-folio-lmore-holder').removeClass('hoz-ver-loading');
                                            if(data.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.hoz-folio-lmore-holder').remove();

                                            }else if(data.status == 'success'){
                                                d.isotope();
                                                d.isotope( 'insert', jQuery(data.content) );
                                                d.imagesLoaded(function() {
                                                    
                                                    d.isotope("layout");
                                                });
                                                var f = jQuery(".portfolio_item:not(.custom-link)").length;
                                                    jQuery(".all-album , .num-album").html(f);

                                                if(data.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.hoz-folio-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_hoz_scroll_progress = false;
                                            
                                        }
                                    });

                                }

                            }

                        }

                    }

                    /*horizontal folio*/

                });

                /*end hoz mobile scroll*/

            } else {
                d.isotope(f);
                d.isotope("layout");
                jQuery(".p_horizontal_wrap").niceScroll(c);

                var nicescrollObj = jQuery(".p_horizontal_wrap").getNiceScroll() ;
                if(nicescrollObj.length){
                    nicescrollObj = nicescrollObj[0];
                    //console.log(nicescrollObj);
                    var in_hoz_scroll_progress = false;
                    var hoz_scroll_offset = 100;
                    nicescrollObj.onscrollstart = function(info){

                        if(this.page.w <= this.getScrollLeft()+ this.view.w + hoz_scroll_offset){
                            if( !in_hoz_scroll_progress && jQuery('.hoz-gal-lmore-holder').length ){
                                in_hoz_scroll_progress = true;

                                var lm_btn = jQuery('.hoz-gal-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                
                                if(remain === 'yes'){
                                    var grid_hoder = lm_btn.closest('.p_horizontal_wrap').children('.folio-hoz-gallery');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'diopter_lm_gal_hoz',lmore_items:3,images:'',loaded:5};

                                    lm_btn.closest('.hoz-gal-lmore-holder').addClass('hoz-loading');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(data) {
                                            lm_btn.closest('.hoz-gal-lmore-holder').removeClass('hoz-loading');
                                            if(data.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.hoz-gal-lmore-holder').remove();

                                            }else if(data.status == 'success'){
                                                d.isotope();
                                                d.isotope( 'insert', jQuery(data.content) );
                                                d.imagesLoaded(function() {
                                                    // jQuery("#portfolio_horizontal_container:not(.hoz-ver-cols) .portfolio_item").each(function(){
                                                    //     var $that = jQuery(this);
                                                    //     if($that.children('.port-subtitle-holder')){
                                                    //         $that.children('img').css({height: jQuery(".p_horizontal_wrap").outerHeight(true) - $that.children('.port-subtitle-holder').outerHeight() });
                                                    //         $that.children('.port-desc-holder').css({height: jQuery(".p_horizontal_wrap").outerHeight(true) - $that.children('.port-subtitle-holder').outerHeight() });
                                                    //     }
                                                    // });
                                                    d.isotope("layout");
                                                });
                                                if(data.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.hoz-gal-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_hoz_scroll_progress = false;
                                            
                                        }
                                    });

                                }

                            }
                            /*horizontal gallery*/

                            if( !in_hoz_scroll_progress && jQuery('.hoz-folio-lmore-holder').length ){
                                in_hoz_scroll_progress = true;

                                var lm_btn = jQuery('.hoz-folio-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                
                                if(remain === 'yes'){
                                    var grid_hoder = lm_btn.closest('.p_horizontal_wrap').children('.folio-hoz-gallery');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'diopter_lm_folio',lmore_items:3};

                                    lm_btn.closest('.hoz-folio-lmore-holder').addClass('hoz-loading');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(data) {
                                            lm_btn.closest('.hoz-folio-lmore-holder').removeClass('hoz-loading');
                                            if(data.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.hoz-folio-lmore-holder').remove();

                                            }else if(data.status == 'success'){
                                                d.isotope();
                                                d.isotope( 'insert', jQuery(data.content) );
                                                d.imagesLoaded(function() {
                                                    
                                                    d.isotope("layout");
                                                });
                                                var f = jQuery(".portfolio_item:not(.custom-link)").length;
                                                    jQuery(".all-album , .num-album").html(f);

                                                if(data.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.hoz-folio-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_hoz_scroll_progress = false;
                                            
                                        }
                                    });

                                }

                            }

                            /*horizontal folio*/

                        }


                    };
                    
                } 

                /*end auto load more*/
            }
            jQuery(".gallery-filters").on("click", "a", function(a) {
                a.preventDefault();
                var b = jQuery(this).attr("data-filter");
                d.isotope({
                    filter: b
                });
                jQuery(".gallery-filters a").removeClass("gallery-filter_active");
                jQuery(this).addClass("gallery-filter_active");
                if(jQuery(window).width() <= 756 ){
                    jQuery('.gallery-filters').hide();
                }
            });
            d.isotope("on", "layoutComplete", function(a, b) {
                var b = a.length;
                jQuery(".num-album").html(b);
                a0();
                a2();
                jQuery(".hde  .portfolio_item").each( function() { jQuery(this).hoverdir( {hoverElem: '.hd-box'} ); } );
                jQuery(".vis-desc .overal-box .numpc").remove();
                jQuery(".vis-desc .overal-box").append("<span class='numpc'></span>");
                jQuery(".vis-desc .overal-box span.numpc").each(function(i) {
                    jQuery(this).text(++i);
                });
                initLightGallery();
            });
            d.on( 'arrangeComplete', function( event, filteredItems ) {
                initFolioGal();
            } );

            var hoz_gal_in_lm_pro = false;

            jQuery(document).on( "click.lmore-hoz-gal", '.gallery-hoz-load-more', function(event) {
                event.preventDefault();
                if(!hoz_gal_in_lm_pro){
                    hoz_gal_in_lm_pro = true;
                    var lm_btn = jQuery(this);
                    var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                    var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                    if(remain === 'yes'){

                        var grid_hoder = jQuery("#portfolio_horizontal_container");          
                        var ajaxurl = grid_hoder.data('lm-request');
                        var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'diopter_lm_gal_hoz',lmore_items:3, images: '', loaded: 10, hoz_style: 'one',show_img_title: 'yes',show_img_desc:'yes',show_zoom:'yes'};

                        var ajaxdata = {
                            action: lm_settings['action'],
                            _lmnonce: grid_hoder.data('lm-nonce'),
                            wp_query : lm_settings,
                            click_num: click_num
                        };

                        jQuery.ajax({
                            type: "POST",
                            data: ajaxdata,
                            url: ajaxurl,
                            success: function(data) {
                                if(data.status == 'fail'){
                                    lm_btn.attr('data-remain','no');
                                }else if(data.status == 'success'){
                                    d.isotope();
                                    d.isotope( 'insert', jQuery(data.content) );
                                    d.imagesLoaded(function() {
                                        d.isotope("layout");
                                    });

                                    if(data.is_remaining == 'no'){
                                        lm_btn.closest('.gallery-hoz-lmore-holder').remove();
                                        lm_btn.attr('data-remain','no');
                                    }
                                }

                                lm_btn.attr('data-click',++click_num);

                                hoz_gal_in_lm_pro = false;
                                
                            }
                        });

                    }
                }
                

            });
            /*end loadmore gallery hoz */

            var hoz_in_lm_pro = false;

            jQuery(document).on( "click.lmore-hoz-folio", '.folio-hoz-load-more', function(event) {
                event.preventDefault();
                if(!hoz_in_lm_pro){
                    hoz_in_lm_pro = true;
                    var lm_btn = jQuery(this);
                    var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                    var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                    if(remain === 'yes'){

                        var grid_hoder = jQuery("#portfolio_horizontal_container");          
                        var ajaxurl = grid_hoder.data('lm-request');
                        var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'diopter_lm_folio',lmore_items:3};

                        var ajaxdata = {
                            action: lm_settings['action'],
                            _lmnonce: grid_hoder.data('lm-nonce'),
                            wp_query : lm_settings,
                            click_num: click_num
                        };

                        jQuery.ajax({
                            type: "POST",
                            data: ajaxdata,
                            url: ajaxurl,
                            success: function(data) {
                         
                                if(data.status == 'fail'){
                                   

                                    lm_btn.attr('data-remain','no');

                                }else if(data.status == 'success'){
                                    d.isotope();
                                 
                                    d.isotope( 'insert', jQuery(data.content) );
                                    
                                    d.imagesLoaded(function() {
                                        d.isotope("layout");
                                    });

                                    var j = jQuery(".portfolio_item").length;
                                    jQuery(".all-album").html(j);

                                    if(data.is_remaining == 'no'){
                                      
                                        lm_btn.closest('.folio-hoz-lmore-holder').remove();
                                        lm_btn.attr('data-remain','no');
                                    }
                                }

                                lm_btn.attr('data-click',++click_num);

                                hoz_in_lm_pro = false;
                                
                            }
                        });

                    }
                }
                

            });
            /*end loadmore folio hoz*/

        });
    }
    jQuery(".grid-item a").on("click", function() {
        var a = jQuery(this).attr("href");
        window.location.href = a;
        return false;
    });
    var j = jQuery(".portfolio_item , .gallery-item").length;
    jQuery(".all-album , .num-album").html(j);
    n();

    jQuery('.num-counter').each(function () {
        jQuery(this).prop('Counter',0).animate({
            Counter: jQuery(this).text()
        }, {
            duration: 4000,
            easing: 'swing',
            step: function (now) {
                jQuery(this).text(Math.ceil(now));
            }
        });
    });

    jQuery(".vis-desc .overal-box").append("<span class='numpc'></span>");
    jQuery(".vis-desc .overal-box span.numpc").each(function(i) {
        jQuery(this).text(++i);
    });
    //   skills ------------------
        jQuery("div.skillbar-bg").each(function() {
            jQuery(this).find(".custom-skillbar").delay(600).animate({
                width: jQuery(this).attr("data-percent")
            }, 1500);
        });
    // css functionts------------------
    function a0(){
        jQuery(".alt").each(function() {
            jQuery(this).css({
                "margin-top": -1 * jQuery(this).height() / 2 + "px"
            });
        });
    }
    function a() {
        jQuery(".hero-slider .item").css({
            height: jQuery(".hero-slider").outerHeight(true)
        });
        jQuery(".full-screen-gallery .horizontal_item").css({
            height: jQuery(".full-screen-gallery").outerHeight(true)
        });
        jQuery(".fixed-footer").imagesLoaded(function(){
            jQuery(".height-emulator").css({
                height: jQuery(".fixed-footer").outerHeight(true)
            });
        });
        var a = jQuery(".footer-social li").length;
        var b = jQuery(".footer-social").width();
        jQuery(".footer-social li").css({
            width: b / a - 1
        });
        jQuery(".links-items").css({
            "margin-left": -1 * jQuery(".links-items").width() / 2 + "px"
        });
        var a = jQuery(window).height(), b = jQuery("header.diopter-header").outerHeight(), c = jQuery(".p_hor izontal_wrap"), ff= jQuery(".fixed-filter ").outerHeight();
        c.css("height", a - b -20 );
        var d = jQuery(window).width();
        if (d < 768) c.css("height", a - b - 60);
        if(d > 756 ){
            jQuery('.gallery-filters').show();
        }else{
            jQuery('.gallery-filters').hide();
        }
        if(jQuery('.det-container-inner').length)
            jQuery('<style>.det-container:before{height:'+(jQuery('.det-container-inner').outerHeight(true)+130)+'px;}</style>').appendTo('head');
        if(jQuery(window).width()<= 1036)
            jQuery('.folio-nav-wrap.is_fixed_nav').css('width',jQuery('.det-container').outerWidth(true)).css('left','-30px');
        else if(jQuery('body').hasClass('disable-outer-border'))
                jQuery('.folio-nav-wrap.is_fixed_nav').css('width',jQuery('.det-container').outerWidth(true) -1 ).css('left','-30px');
        else 
            jQuery('.folio-nav-wrap.is_fixed_nav').css('width',jQuery('.det-container').outerWidth(true) - 21 ).css('left','-30px');
    }
    function a2(){
        jQuery(" #portfolio_horizontal_container .portfolio_item img  ").css({
            height: jQuery(".portfolio_item").outerHeight(true) 
        });
        jQuery(" #portfolio_horizontal_container.vis-desc .portfolio_item img  ").css({
            height: jQuery(".portfolio_item").outerHeight(true) -  jQuery(" #portfolio_horizontal_container.vis-desc .portfolio_item .overal-box").outerHeight(true)
        });
    }
    a0();
    a();
    a2();
    jQuery(window).resize(function() {
        a0();
        a();
        a2();
        if(jQuery(".p_horizontal_wrap").hasClass("res-protoc")){
            if (jQuery(window).width() <= 756) {
                window.location.href = window.location.href;
            }

        }
    });
    jQuery(".filter-button").on("click" , function() {
     jQuery(".gallery-filters").slideToggle(500);
    });


    // team  ------------------
    jQuery(".team-box").hover(function() {
        jQuery(this).find("ul.team-social").fadeIn();
        jQuery(this).find(".team-social a").each(function(a) {
            var b = jQuery(this);
            setTimeout(function() {
                b.animate({
                    opacity: 1,
                    top: "0"
                }, 400);
            }, 150 * a);
        });
    }, function() {
        jQuery(this).find(".team-social a").each(function(a) {
            var b = jQuery(this);
            setTimeout(function() {
                b.animate({
                    opacity: 0,
                    top: "50px"
                }, 400);
            }, 150 * a);
        });
        setTimeout(function() {
            jQuery(this).find("ul.team-social").fadeOut();
        }, 150);
    });
 //   Scroll  ------------------
    jQuery(".scroll-content").smartscroll({fullscreen: false});

    jQuery(".scroll-nav  ul").singlePageNav({
        filter: ":not(.external)",
        updateHash: false,
        offset:90,
        threshold: 120,
        speed: 1200,
        currentClass: "act-link",
    });

    jQuery(window).scroll(function() {
        if (jQuery(this).scrollTop() > 300){
            jQuery(".fixed-icons , .onepage-contr").addClass("vistotop");
        }
        else{
            jQuery(".fixed-icons , .onepage-contr").removeClass("vistotop");

        }
    });
    jQuery(".to-top").on("click", function() {
        jQuery("html, body").animate({
            scrollTop: 0
        }, "slow");
    });
    jQuery(".custom-scroll-link, .scroll-link-to-a a").on("click", function() {
        var a = 91;
        if (location.pathname.replace(/^\//, "") == this.pathname.replace(/^\//, "") || location.hostname == this.hostname) {
            var b = jQuery(this.hash);
            b = b.length ? b : jQuery("[name=" + this.hash.slice(1) + "]");
            if (b.length) {
                jQuery("html,body").animate({
                    scrollTop: b.offset().top - a
                }, {
                    queue: false,
                    duration: 1200,
                    easing: "easeInOutExpo"
                });
                return false;
            }
        }
    });
    // Share   ------------------

    var shs = eval(jQuery(".share-container").attr("data-share"));
    if(shs){
        jQuery(".share-container").share({
            networks: shs
        });
    }

    var shrcn = jQuery(".share-container") ;
    function showShare() {
        shrcn.removeClass("isShare");
        shrcn.addClass("visshare");
    }
    function hideShare() {
        shrcn.addClass("isShare");
        shrcn.removeClass("visshare");
    }
    jQuery(".showshare").on("click", function() {
        jQuery(this).toggleClass("vis-butsh");
        jQuery(this).find("span").text(jQuery(this).text() == _diopter.share_close_text ? _diopter.share_share_text : _diopter.share_close_text);
        if (jQuery(".share-container").hasClass("isShare")) showShare(); else hideShare();
    });
    jQuery(".hde  .portfolio_item , .hde .gallery-item").each( function() { jQuery(this).hoverdir( {hoverElem: '.hd-box'} ); } );
    jQuery(".background-youtube").each(function(){
        var l = jQuery(this).data("vid");
        var m = jQuery(this).data("mv") ? jQuery(this).data("mv") : 1;
        var ql = jQuery(this).data("ql") ? jQuery(this).data("ql") : 'highres';
        var pos = jQuery(this).data("pos") ? jQuery(this).data("pos") : 0;
        var ftb = jQuery(this).data("ftb") ? jQuery(this).data("ftb") : 1;
        jQuery(this).YTPlayer({
            fitToBackground: ftb,
            videoId: l,
            pauseOnScroll: pos,
            mute: m,
            //ratio: 16 / 9,// 4/3
            callback: function() {
                var a = jQuery(this).data("ytPlayer").player;
                a.setPlaybackQuality(ql);//small,medium,large,hd720,hd1080,highres,default
            }
        });
    });

    jQuery(".background-vimeo").each(function(){
        var vid = jQuery(this).data("vim");
        jQuery(this).append('<iframe src="//player.vimeo.com/video/' + vid + '?background=1"  frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen ></iframe>');
    });

    function vimeoVideoSize(){
        jQuery(".video-holder").height(jQuery(".media-container").height());
        if (jQuery(window).width() > 1024) {
            if (jQuery(".video-holder").size() > 0) if (jQuery(".media-container").height() / 9 * 16 > jQuery(".media-container").width()) {
                jQuery(".background-vimeo iframe ").height(jQuery(".media-container").height()).width(jQuery(".media-container").height() / 9 * 16);
                jQuery(".background-vimeo iframe ").css({
                    "margin-left": -1 * jQuery("iframe").width() / 2 + "px",
                    top: "-75px",
                    "margin-top": "0px"
                });
            } else {

                jQuery(".background-vimeo iframe ").width(jQuery(window).width()).height(jQuery(window).width() / 16 * 9);
                jQuery(".background-vimeo iframe ").css({
                    "margin-left": -1 * jQuery("iframe").width() / 2 + "px",
                    "margin-top": -1 * jQuery("iframe").height() / 2 + "px",
                    top: "50%"
                });
            }
        } else if (jQuery(window).width() < 760) {
            jQuery(".video-holder").height(jQuery(".media-container").height());
            jQuery(".background-vimeo iframe ").height(jQuery(".media-container").height());
        } else {
            jQuery(".video-holder").height(jQuery(".media-container").height());
            jQuery(".background-vimeo iframe ").height(jQuery(".media-container").height());
        }

    }
    vimeoVideoSize()
    jQuery(window).resize(function(){
        vimeoVideoSize()
    });

    // Important add or init your functions after this text ------------------  
    jQuery('#ajax-page-inline-css').remove();
    if(jQuery('#ajax-page-inline-div-css').length){
        jQuery( '<style id="ajax-page-inline-css" type="text/css">'+jQuery('#ajax-page-inline-div-css').text()+"</style>" ).appendTo( "head" );
    }

    jQuery('.diopter-before-after').each(function(){
        var bf_af = jQuery(this);
        var d = bf_af.data('direction') ? bf_af.data('direction') : 'horizontal';
        var o = bf_af.data('offset') ? bf_af.data('offset') : '0.7';
        bf_af.imagesLoaded(function(){
            bf_af.twentytwenty({
                default_offset_pct: o, // How much of the before image is visible when the page loads
                orientation: d // Orientation of the before and after images ('horizontal' or 'vertical')
            });
        });
    });

    if(jQuery(".vertical-slider").length){

        jQuery(".vertical-slider").each(function(){
            var $that = jQuery(this);
            var ve = $that.data("mwc");
            var vec = $that.data("mwa");
            var vsp = $that.data("mws");
            var vl = $that.data("mwl");
            var vd = $that.data("mwd");
            var ef = $that.data("mwe");
            var vops = {};
                if(vsp != 'undefined'){
                    vops.speed = parseInt(vsp);
                }
                if(vl != 'undefined'){
                    vops.loop = vl;
                }
                vops.preventClicks = false;
                vops.grabCursor = true;
                if(ve != 'undefined'){
                    vops.mousewheelControl = ve;
                }
                vops.direction = vd;
                vops.pagination = ".swiper-pagination";
                vops.paginationClickable = true;
                if(vec != 'undefined'){
                    vops.autoplay = parseInt(vec);
                }
                if(ef != 'undefined'){
                    vops.effect = ef;
                }
                vops.onSlideChangeEnd = function(vb) {
                    if($that.find('.swiper-slide-active').data('swiper-slide-index') != undefined){
                        $that.find(".presSlidesActive").html($that.find('.swiper-slide-active').data('swiper-slide-index') + 1);
                    }else{
                        $that.find(".presSlidesActive").html(vb.activeIndex + 1);
                    }
                    $that.find('.swiper-slide-active').addClass('fix-overlay');
                };
                vops.onSlideChangeStart = function(vb){
                    $that.find('.swiper-slide').removeClass('fix-overlay');
                };
                vops.autoHeight = true;

            var va = jQuery(".swiper-wrapper .swiper-slide").length;
            var vb = new Swiper($that, vops );
            $that.find(".presSlidesActive").html("1");
            $that.find(".presSlidesFrom").html(va);
            jQuery(".ver a.arrow-left").on("click", function(ev) {
                ev.preventDefault();
                vb.slidePrev();
            });
            jQuery(".ver a.arrow-right").on("click", function(ev) {
                ev.preventDefault();
                vb.slideNext();
            });
        });

    }
    
    /*init instagram feed */
    if(jQuery('.cththemes-instafeed').length){
        jQuery('.cththemes-instafeed').each(function(){
            var clientID = jQuery(this).data('client');
            var accessToken = jQuery(this).data('access');
            var limit = jQuery(this).data('limit');
            var get = jQuery(this).data('get');
            var getval = jQuery(this).data('getval');
            var res = jQuery(this).data('res');
            var target = jQuery(this).find('.cththemes-instafeed-ul').attr('id');
            
            var instafeed_ops = {
                    get: get,
                    target: target,
                    resolution: res,// thumbnail | low_resolution 
                    template: '<li><a href="{{link}}"><img src="{{image}}" alt="{{caption}}"/></a></li>',
                    limit: limit,
                    error: function(err){
                        console.log(err);
                    }
            } ;
            if(clientID != '') {
                instafeed_ops.clientID = clientID;
            }
            if(accessToken != '') {
                instafeed_ops.accessToken = accessToken; 
            }
            if(get == 'tagged'){
                instafeed_ops.tagName = getval;
            }else if(get == 'user'){
                instafeed_ops.userId = getval;
            }
            var feed = new Instafeed(instafeed_ops);
            feed.run();
        });
    }
}
// if mobile remove parallax and video  ------------------
function initparallax() {
    var a = {
        Android: function() {
            return navigator.userAgent.match(/Android/i);
        },
        BlackBerry: function() {
            return navigator.userAgent.match(/BlackBerry/i);
        },
        iOS: function() {
            return navigator.userAgent.match(/iPhone|iPad|iPod/i);
        },
        Opera: function() {
            return navigator.userAgent.match(/Opera Mini/i);
        },
        Windows: function() {
            return navigator.userAgent.match(/IEMobile/i);
        },
        any: function() {
            return a.Android() || a.BlackBerry() || a.iOS() || a.Opera() || a.Windows();
        }
    };
    trueMobile = a.any();
    if (null == trueMobile && _diopter.parallax_off != '1') {
        var parallax = new Scrollax();
        parallax.reload();
        parallax.init();
    }
    if (trueMobile) jQuery(".background-vimeo , .background-youtube").remove();
}
    var  transitionLayer = jQuery('.cd-transition-layer'),
        transitionBackground = transitionLayer.children() ;
        var frameProportion = 1.78,
        frames = 25,
        resize = false;
        function setLayerDimensions() {
        var windowWidth = jQuery(window).width(),
            windowHeight = jQuery(window).height(),
            layerHeight, layerWidth;

        if( windowWidth/windowHeight > frameProportion ) {
            layerWidth = windowWidth;
            layerHeight = layerWidth/frameProportion;
        } else {
            layerHeight = windowHeight*1.2;
            layerWidth = layerHeight*frameProportion;
        }
        transitionBackground.css({
            'width': layerWidth*frames+'px',
            'height': layerHeight+'px',
        });

        resize = false;
    }
// show hide content and init functions  ------------------
function contanimshow() {
    if (jQuery(".diopter-content").hasClass("home-content")) {
        jQuery("header.diopter-header").animate({
            top: "-70px"
        }, 500);
    }
    else
    {
        jQuery("header.diopter-header").animate({
            top: "20px"
        }, 500);
    }
    transitionLayer.addClass('closing');
    transitionBackground.one('webkitAnimationEnd oanimationend msAnimationEnd animationend', function(){
        transitionLayer.removeClass('closing opening visible');
        transitionBackground.off('webkitAnimationEnd oanimationend msAnimationEnd animationend');
    });
    setTimeout(function() {
        jQuery(".content-holder").removeClass("scale-bg2");
    }, 450);
    var a = window.location.href;
    var b = jQuery(".dynamic-title").text();
    jQuery(".header-title a").attr("href", a);
    jQuery(".header-title a").html(b);
    jQuery(".header-title h1").removeClass("hid-title");

    jQuery('nav:not(.scroll-nav) li').addClass("parlink");
    jQuery('nav li > ul li ,nav li   ul li > ul li ').removeClass("parlink");
    if(_diopter.enable_ajax == '1') setActiveMenu();

}

function contanimhide() {
    transitionLayer.addClass('visible opening');
    setTimeout(function() {
        jQuery(".elem").addClass("scale-bg2");
    }, 650);
    jQuery(".header-title h2").addClass("hid-title");
}

jQuery(document).on('click','a.ajax', function(){
    jQuery('nav li a').removeClass('act-link');
    jQuery(this).addClass('act-link');
});
function checkBodyClasses(mnc) {
    return jQuery(".diopter-body-classes").hasClass(mnc);
}
function setActiveMenu(){
    var amo = _diopter.ac_mns ? _diopter.ac_mns : [];
    if(amo.length){
        var insam = true;
        amo.forEach(function(mn,index){
            if(mn.length && insam){
                var mncs = mn.split(" ");
                if(mncs.length > 1){
                    var mnc = mncs.shift();
                    if(mncs.some(checkBodyClasses)){
                        jQuery("nav > ul > li > a").removeClass("act-link ancestor-act-link parent-act-link");
                        jQuery("."+mnc).addClass("act-link-li");
                        insam = false;
                        return;
                    }
                }
            }

        });

    }
}
var fsb_width = _diopter.fsb_width ? parseInt(_diopter.fsb_width) : 350;
var fixed_sidebar = jQuery('.sidebar-menu');
var is_fixed_left = fixed_sidebar.is('.is_fixed_left');
if(fsb_width != 350){
    fixed_sidebar.css('width', fsb_width );
    if(is_fixed_left){
        fixed_sidebar.css('left',-fsb_width-120);
    }else{
        fixed_sidebar.css('right',-fsb_width-120);
    }
}
function showinfo(){
    var fixed_sidebar = jQuery('.sidebar-menu');
    jQuery(".sb-overlay ").fadeIn(300);
    
    if(is_fixed_left){
        fixed_sidebar.animate({left:0});
    }else{
        fixed_sidebar.animate({right:0});
    }
}
function initSidebarMenu(){
    
    jQuery('.diopter_slinky_menu').each(function(){
        jQuery(this).slinky({
            label: '',// Back - Label for the back button. Pass "true" to use the link's own label
            title: false, // false - Pass "true" to show title of current menu level
            resize: true,// true - Resize menu height to match content on navigation
            speed:   300, // Animation speed in milliseconds
        });
    });
}

    
//  quick view ------------------
jQuery(document).on("click",".info-button",function(){
    showinfo();
});
function hideinfo() {
    var fixed_sidebar = jQuery('.sidebar-menu');
    
    if(is_fixed_left){
        fixed_sidebar.animate({left:(-fsb_width-120)+"px"});
    }else{
        fixed_sidebar.animate({right:(-fsb_width-120)+"px"});
    }
    jQuery(".sb-overlay ").fadeOut(300);
}
jQuery(document).on("click",".close-info-btn , .sb-overlay ",function(){
    jQuery(".close-info-btn").fadeOut();
    hideinfo();
});
    var nb = jQuery(".nav-button"), nh = jQuery(".nav-holder"), an = jQuery(".nav-holder ,.nav-button ");
    function showMenu() {
        nb.removeClass("vis-m");
        nh.slideDown(500);
    }
    function hideMenu() {
        nb.addClass("vis-m");
        nh.slideUp(500);
    }
    jQuery(document).on("click",'.nav-button', function() {
        if (jQuery(this).hasClass("vis-m")) showMenu(); else hideMenu();
    });

    jQuery(document).on("click", ".sidebar-menu a.ajax , .sidebar-menu   .scroll-nav a", function() {
       hideinfo();
    });
    jQuery(document).on("click", ".scroll-nav a" , function() {
        if (jQuery(window).width() < 1036) {
          hideMenu();
        }
    });
jQuery("body").append('<div class="l-line"><span></span></div>');
//=============== init ajax  ==============
if(_diopter.enable_ajax == '1'){
    jQuery(function() {
        jQuery.coretemp({
            ctbTrigger: "a.ajax",
            reloadbox: _diopter.reload_box,
            loadErrorBg: _diopter.nf_bg,
            loadErrorMessage: _diopter.nf_msg,
            loadErrorBacklinkText: _diopter.nf_linktext,
            outDuration: 150,
            inDuration: 450
        });
        readyFunctions();
        jQuery(document).on({
            ksctbCallback: function() {
                if("function" == typeof window.vc_js ) {
                    window.vc_js();
                }
                readyFunctions();
            }
        });
    });
}else{
    jQuery(function(){
        readyFunctions();
    });
}

//=============== init all functions  ==============
function readyFunctions() {
    initDiopter();
    initparallax();

    initSidebarMenu();
}



