 <?php

/**
 * Template Name: Page Fullwidth
 *
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if ( post_password_required() ) {
    get_template_part( 'password_protected_page' );
    return;
}
$show_page_header = get_post_meta(get_the_ID(),'_diopter_show_page_header',true );
$show_page_title = get_post_meta(get_the_ID(),'_diopter_show_page_title',true );


get_header(); ?>
<?php if($show_page_header != 'no') :?>
<section class="single-page-header-sec no-padding-bottom">
    <div class="section-title ">
        <?php if($show_page_title != 'no') :?>
            <h1 class="post-sec-title"><?php single_post_title( );?></h1>
        <?php endif;?>
        <?php 
            echo wp_kses_post( get_post_meta(get_the_ID(),'_diopter_page_header_intro',true ) );
        ?>
        <div class="dec-separator"><img src="<?php echo get_template_directory_uri();?>/images/sep.png" alt=""></div>
    </div>
</section>
<?php endif;?>

<?php if(have_posts()) : ?>

        <?php while(have_posts()) : the_post(); ?>

            <?php get_template_part( 'content', 'page-fullwidth'); ?>

            <?php
            // If comments are open or we have at least one comment, load up the comment template.
            if ( comments_open() || get_comments_number() ) :
                comments_template();
            endif;
            ?>

        <?php endwhile; ?>

<?php endif; ?> 

<?php 
get_footer( );
