<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

get_header('landing'); ?>
<section class="no-padding full-height">
    <div class="password-page-bg" data-bg="<?php echo esc_url( diopter_global_var('password_page_bg','url',true) ) ;?>">
        <div class="password-page-content">
            <?php echo get_the_password_form(); ?>
            <br>
            
            <?php if( diopter_global_var('password_page_intro') ){
                echo diopter_global_var('password_page_intro');
            } ?>

            <?php if( diopter_global_var('password_page_home_link') ) :?>
            <br>
            <a href="<?php echo esc_url( home_url('/' ));?>" class="password-back-link ajax"><?php esc_html_e('Back to home','diopter');?></a>
            <?php endif; ?>
        </div>
        <div class="password-bg-title left-pos"><?php esc_html_e('Protected Post','diopter' );?></div>

    </div>
</section>
<?php 
    get_footer('landing');
?>