<?php

/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
get_header(); 


$tax_header_image = '';
$tax_show_header = 'yes';
$t_id = get_queried_object()->term_id;
$term_meta = get_option( "diopter_taxonomy_portfolio_cat_$t_id" );
if($term_meta !== false){
    if( isset($term_meta['cat_header_image']['url']) ){
        $tax_header_image = $term_meta['cat_header_image']['url'];
    }
    if( isset($term_meta['tax_show_header']) ){
        $tax_show_header = $term_meta['tax_show_header'];
    }
}


    
?>

<?php if($tax_show_header !== 'no' && ( diopter_global_var('folio_layout') === 'ver' || diopter_global_var('folio_layout') === 'grid' )) :?>

    <?php
    if($tax_header_image):
    ?>

    <section class="parallax-section" data-scrollax-parent="true">
        <div class="bg par-elem" data-bg="<?php echo esc_url($tax_header_image );?>" data-scrollax="properties: { translateY: '30%' }"></div>
        <div class="overlay"></div>
    <?php
    else : ?>
    <section class="no-pad-bot bis">
    <?php
    endif;?>
        <div class="container centered-text">

            <div class="section-title">
                <h1><?php single_term_title( ) ;?></h1>
                <?php echo term_description( );?>
            </div>

            <div class="clearfix"></div>
            <div class="dec-separator"><img src="<?php echo  get_template_directory_uri(); ?>/images/sep.png" alt=""></div>
            
        </div>

    </section>
<?php endif;//end show blog header?>


<?php

switch ( diopter_global_var('folio_layout') ) {
    case 'hoz':
        get_template_part('taxonomy-portfolio','horizontal' );
        break;
    case 'ver':
        get_template_part('taxonomy-portfolio-masonry' );
        break;
    case 'grid':
        get_template_part('taxonomy-portfolio-grid' );
        break;
    default:
        get_template_part('taxonomy-portfolio','grid' );
        break;
}
?>

<?php 
    
    if(!diopter_global_var('show_folio_footer')){
        get_footer('horizontal'); 
    }else{
        get_footer(); 
    }