<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $slideimg - ''
 * @var $opacity - 0.2
 * @var $content_style
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Home_Landing_Slider_Item
 */
$css = $el_class = $slideimg = $title = $use_link = $link = $target = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$css_classes = array(
    'swiper-slide',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div class="<?php echo esc_attr($css_class );?>">
    <div class="slide-title-holder">
        <div class="slide-title">
            <?php echo wpb_js_remove_wpautop($content,true);?>
        </div>
    </div>
    <div class="iframe-holder">
        <div class="iframe-overlay"></div>
        <div class="bg" style="background-image:url(<?php echo esc_url(diopter_get_attachment_thumb_link($slideimg, 'diopter-landing') );?>)"></div>
    </div>
</div>

