<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $slideimg - ''
 * @var $parallax_val - '250'
 * @var $content_box_pos - 'left'
 * @var $content_box_bg - 'yes'
 * @var $content_box_ani - 'yes'
 * @var $opacity - 0.2
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Home_Swiper_Item
 */
$el_class = $slideimg = $opacity = $parallax_val = $content_box_pos = $content_box_bg = $content_box_ani = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
?>
<div class="item fl-wrap full-height <?php echo esc_attr($el_class );?>">
    <div class="bg"  data-bg="<?php echo esc_url(diopter_get_attachment_thumb_link($slideimg, 'diopterfuls-thumb') );?>"></div>
    <div class="overlay"></div>
    <div class="hero-wrap-item  alt">
        <div class="container">
            <div class="fl-wrap section-entry home-slide-content-wrap">
                <?php echo wpb_js_remove_wpautop($content,true);?>
            </div>
        </div>
    </div>
</div>