<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $show_all
 * @var $all_link
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Portfolio_Comment
 */
$css = $el_class =  '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$css_classes = array(
    'diopter-folio-title-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div class="<?php echo esc_attr($css_class );?>">
    <h2><?php echo get_the_title();?></h2>
</div>