<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $css
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Section_Title
 */
$el_class = $css = $title_text = $subtitle_text = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'section-title',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

?>
<div class="<?php echo esc_attr($css_class );?>">
    <?php if(!empty($title_text)):?>
    <h2><?php echo esc_html($title_text);?></h2>
    <?php endif;?>
    <?php if(!empty($subtitle_text)):?>
    <h4><?php echo esc_html($subtitle_text);?></h4>
    <?php endif;?>
    <?php echo wpb_js_remove_wpautop($content,true);?>
</div>
<div class="clearfix"></div>