<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

get_header(); ?>






<section class="no-padding error404-sec">
    <div class="back-link" data-bg="<?php echo esc_url( diopter_global_var('bg404','url',true) ) ;?>">
        <span><h2><?php esc_html_e('404','diopter' );?></h2>
        <br>
        <?php if( diopter_global_var('404_intro') ){
            echo wp_kses_post( diopter_global_var('404_intro') );
        } ?>
        </span>
        
        <?php if( diopter_global_var('back_home_link') ) :?>
            <a href="<?php echo esc_url( diopter_global_var('back_home_link') );?>" class="ajaxPageSwitchBacklink ajax"><?php echo wp_kses(__('Back to home page','diopter'), array('span'=>array(),'i'=>array('class'=>array())) );?></a>
        <?php endif;?>
    </div>
</section>
<?php 
    get_footer('landing');
?>