<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
?>

<article <?php post_class('content-page fw-artc cth-page');?>>
	<?php if(has_post_thumbnail( )){ ?>
	<div class="blog-media">
        <?php the_post_thumbnail('diopter-large',array('class'=>'respimg') ); ?>
    </div>
	<?php } ?>
    
    <div class="page-content-inner">
        <?php edit_post_link( esc_html__( 'Edit', 'diopter' ), '<span class="edit-link">', '</span>' ); ?>	
		<?php the_content( ); ?>
        <?php
			wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'diopter' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			) );
		?>
       
    </div>
</article>