<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
$hide_footer_con = 'no';
if(is_singular( )){
    $hide_footer_con = get_post_meta(get_the_ID(),'_diopter_hide_footer',true ) ;
}
?> 

                    <?php if( $hide_footer_con !== 'yes' ) :?>
                       
                        <div class="height-emulator fl-wrap"></div>
                        <footer class="diopter-footer fl-wrap dark-bg fixed-footer">
                            <div class="container">
                                <?php echo do_shortcode( diopter_global_var('footer_content') );?>
                            </div>
                        </footer>
                        
                    <?php endif;?>
                        

                    </div>
                    

                    
                    <div class="fixed-icons">
                        <ul>
                        
                        <?php if(diopter_global_var('goto_contact_link')):?>
                            <li>
                                <div class="mail-link"><a href="<?php echo esc_url(diopter_global_var('goto_contact_link'));?>" class="ajax"><?php echo diopter_global_var('goto_contact_icon');?></a></div>
                            </li>
                        <?php endif;?>
                        <?php if(diopter_global_var('to_top_icon')):?>
                            <li>
                                <div class="to-top"><?php echo diopter_global_var('to_top_icon');?></div>
                            </li>
                        <?php endif;?>
                        </ul>
                    </div>
                    



                </div>
                
            </div>
            
            <?php if(diopter_global_var('show_sidebar_menu')):?>
            
            <div class="sb-overlay"></div>
            <div class="sidebar-menu fl-wrap is_fixed_<?php echo diopter_global_var('left_menu_position');?>">
                <div class="bg" data-bg="<?php echo esc_url( diopter_global_var('right_sidebar_bg','url',true) );?>"></div>
                <div class="overlay"></div>

                <div class="sidebar-menu-holder">
                    
                    <?php echo diopter_global_var('right_sidebar_logo');?>

                    <?php if(is_page_template('homepage-onepage.php' )):?>

                            <?php 
                                $defaults1= array(
                                    'theme_location'  => 'rightfixed-menu-onepage',
                                    'menu'            => 'Right Fixed sidebar One-Page Menu',
                                    'container'       => 'div',
                                    'container_class' => 'diopter_slinky_menu scroll-nav',
                                    'container_id'    => '',
                                    'menu_class'      => 'menu',
                                    'menu_id'         => '',
                                    'echo'            => true,
                                    'fallback_cb'     => 'wp_page_menu',
                                    'walker'          => new Walker_Nav_Menu(),
                                    'before'          => '',
                                    'after'           => '',
                                    'link_before'     => '',
                                    'link_after'      => '',
                                    'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                    'depth'           => 0,
                                );
                                
                                if ( has_nav_menu( 'rightfixed-menu-onepage' ) ) {
                                    wp_nav_menu( $defaults1 );
                                }
                            ?>
                        
                    <?php else :?>
                        
                            <?php 
                                $defaults1= array(
                                    'theme_location'  => 'rightfixed-menu',
                                    'menu'            => 'Right Fixed sidebar Menu',
                                    'container'       => 'div',
                                    'container_class' => 'diopter_slinky_menu',
                                    'container_id'    => '',
                                    'menu_class'      => 'menu',
                                    'menu_id'         => '',
                                    'echo'            => true,
                                    'fallback_cb'     => 'wp_page_menu',
                                    'walker'          => new Walker_Nav_Menu(),
                                    'before'          => '',
                                    'after'           => '',
                                    'link_before'     => '',
                                    'link_after'      => '',
                                    'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                    'depth'           => 0,
                                );
                                
                                if ( has_nav_menu( 'rightfixed-menu' ) ) {
                                    wp_nav_menu( $defaults1 );
                                }
                            ?>
                        
                    <?php endif;?>

                    <?php if (is_active_sidebar('fixed_sidebar_widget')): ?>
                    <div class="fixed-sidebar-widgets">
                    <?php
                        dynamic_sidebar('fixed_sidebar_widget');
                    ?>
                    </div>
                    <?php endif; ?>

                    <?php echo diopter_global_var('right_sidebar_socials'); ?>


                </div>
                
            </div>
            
            <?php endif;?>
            
            <div class="cd-transition-layer">
                <div class="bg-layer"></div>
            </div>
            
        </div>
        
        <?php wp_footer(); ?>
        
    </body>
</html>