/**
 * This file adds some LIVE to the Theme Customizer live preview. To leverage
 * this, set your custom settings to 'postMessage' and then add your handling
 * here. Your javascript should grab settings from customizer controls, and 
 * then make any necessary changes to the page using jQuery.
 */
( function( $ ) {

	// Update the site title in real time...
	// wp.customize( 'blogname', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$( '#site-title a' ).html( newval );
	// 	} );
	// } );
	
	// //Update the site description in real time...
	// wp.customize( 'blogdescription', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$( '.site-description' ).html( newval );
	// 	} );
	// } );

	//Update the site copyright in real time...
	wp.customize( 'footer_copyright', function( value ) {
		value.bind( function( newval ) {
			$( '.footer-copyright' ).html( newval );
		} );
	} );

	//Update the site footer logo in real time...
	wp.customize( 'footer_logo', function( value ) {
		value.bind( function( newval ) {

			if (newval) {
				$( '.footer-logo' ).html( '<a href="'+_diopter_customizer.home_url+'" class="ajax"><img src="'+newval+'" alt=""></a>' );
			}else{
				$( '.footer-logo' ).html('');
			}
			
		} );
	} );

	wp.customize( 'footer_sep_img', function( value ) {
		value.bind( function( newval ) {

			if (newval) {
				$( '.dec-separator' ).html( '<img src="'+newval+'" alt="">' );
			}else{
				$( '.dec-separator' ).html('');
			}
			
		} );
	} );

	wp.customize( 'footer_socials', function( value ) {
		console.log(value);
		value.bind( function( newval ) {
			$( '.footer-socials-wrap' ).html( newval );
		} );
	} );


	

	//Update site title color in real time...
	// wp.customize( 'header_textcolor', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#site-title a').css('color', newval );
	// 	} );
	// } );

	// //Update site background color...
	// wp.customize( 'background_color', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('body').css('background-color', newval );
	// 	} );
	// } );
	
	// //Update site link color in real time...
	// wp.customize( 'link_textcolor', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('a').css('color', newval );
	// 	} );
	// } );
	
} )( jQuery );