<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $img
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Separator
 */
$extra_class = $id = $show_avatar = $css = $show_title = $show_rating = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'diopter-sep-holder fl-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div class="clearfix"></div>                         
<div class="<?php echo esc_attr($css_class ); ?>">
    <div class="dec-separator">
<?php if(!empty($img)):?>
    <?php echo wp_get_attachment_image( $img, 'full', false, array() ); ?>
<?php endif;?>
    </div>
</div><div class="clearfix"></div> 