<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $css
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Service
 */
$el_class = $css = $ser_icon = $ser_title = $ser_subtitle = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'ser_item_wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div class="<?php echo esc_attr($css_class );?>">
	<?php if(!empty($ser_icon)):?>
	<div class="serv-header fl-wrap">
	    <i class="<?php echo esc_attr($ser_icon);?>"></i>
	<?php else : ?>
	<div class="serv-header ser-no-icon fl-wrap">
	<?php endif;?>
        <?php if(!empty($ser_title)):?>
	    <h4><?php echo esc_html($ser_title);?></h4>
	    <?php endif;?>
        <?php if(!empty($ser_subtitle)):?>
	    <h5><?php echo esc_html($ser_subtitle);?></h5>
	    <?php endif;?>
    </div>
    <div class="clearfix"></div>
    <?php echo wpb_js_remove_wpautop($content,true);?>
</div>